CHANGELOG for 4.4.x
===================

This changelog references the relevant changes (bug and security fixes) done
in 4.4 minor versions.

To get the diff for a specific change, go to https://github.com/symfony/symfony/commit/XXX where XXX is the change hash
To get the diff between two versions, go to https://github.com/symfony/symfony/compare/v4.4.0...v4.4.1

* 4.4.47 (2022-10-12)

 * bug #47621 [Serializer] Allow getting discriminated type by class name (TamasSzigeti)
 * bug #47808 [HttpClient] Fix seeking in not-yet-initialized requests (nicolas-grekas)
 * bug #47702 [Messenger] Fix default serializer not handling DateTime objects properly (barton-webwings)
 * bug #47779 [Console] Fix `Helper::removeDecoration` hyperlink bug (greew)
 * bug #47763 [PropertyInfo] a readonly property must not be reported as being writable (xabbuh)
 * bug #47731 [WebProfiler] Fix overflow issue in Forms panel (zolikonta)
 * bug #47746 [HttpFoundation] Fix BinaryFileResponse content type detection logic (X-Coder264)

* 4.4.46 (2022-09-30)

 * bug #47547 [Ldap] Do not run ldap_set_option on failed connection (tatankat)
 * bug #47578 [Security] Fix AbstractFormLoginAuthenticator return types (AndrolGenhald)
 * bug #47614 [FrameworkBundle] Fix a phpdoc in mailer assertions (HeahDude)
 * bug #47516 [HttpFoundation] Prevent BinaryFileResponse::prepare from adding content type if no content is sent (naitsirch)
 * bug #47533 [Messenger] decode URL-encoded characters in DSN's usernames/passwords (xabbuh)
 * bug #47530 [HttpFoundation] Always return strings from accept headers (ausi)
 * bug #47497 [Bridge] Fix mkdir() race condition in ProxyCacheWarmer (andrey-tech)
 * bug #47415 [HttpClient] Psr18Client ignore invalid HTTP headers (nuryagdym)
 * bug #47435 [HttpKernel] lock when writting profiles (nicolas-grekas)
 * bug #47437 [Mime] Fix email rendering when having inlined parts that are not related to the content (fabpot)
 * bug #47434 [HttpFoundation] move flushing outside of Response::closeOutputBuffers (nicolas-grekas)
 * bug #47351 [FrameworkBundle] Do not throw when describing a factory definition (MatTheCat)
 * bug #47403 [Mailer] Fix edge cases in STMP transports (fabpot)

* 4.4.45 (2022-08-26)

 * bug #47358 Fix broken request stack state if throwable is thrown. (Warxcell)
 * bug #47304 [Serializer] Fix caching context-aware encoders/decoders in ChainEncoder/ChainDecoder (Guite)
 * bug #47329 Email image parts: regex for single closing quote (rr-it)
 * bug #47200 [Form] ignore missing keys when mapping DateTime objects to uninitialized arrays (xabbuh)
 * bug #47189 [Validator] Add additional hint when `egulias/email-validator` needs to be installed (mpdude)
 * bug #47195 [FrameworkBundle] fix writes to static $kernel property (xabbuh)
 * bug #47175 [DowCrawler] Fix locale-sensitivity of whitespace normalization (nicolas-grekas)
 * bug #47171 [TwigBridge] suggest to install the Twig bundle when the required component is already installed (xabbuh)
 * bug #47161 [Mailer] Fix logic (fabpot)
 * bug #47157 [Messenger] Fix Doctrine transport on MySQL (nicolas-grekas)
 * bug #46190 [Translation] Fix translator overlapse (Xavier RENAUDIN)
 * bug #47142 [Mailer] Fix error message in case of an STMP error (fabpot)
 * bug #47145 [HttpClient] Fix shared connections not being freed on PHP < 8 (nicolas-grekas)
 * bug #47143 [HttpClient] Fix memory leak when using StreamWrapper (nicolas-grekas)
 * bug #47130 [HttpFoundation] Fix invalid ID not regenerated with native PHP file sessions (BrokenSourceCode)

* 4.4.44 (2022-07-29)

 * bug #47069 [Security] Allow redirect after login to absolute URLs (Tim Ward)
 * bug #47073 [HttpKernel] Fix non-scalar check in surrogate fragment renderer (aschempp)
 * bug #43329 [Serializer] Respect default context in DateTimeNormalizer::denormalize (hultberg)
 * bug #47086 Workaround disabled "var_dump" (nicolas-grekas)
 * bug #40828 [BrowserKit] Merge fields and files recursively if they are multidimensional array (januszmk)
 * bug #47048 [Serializer] Fix XmlEncoder encoding attribute false (alamirault)
 * bug #47000 [ErrorHandler] Fix return type patching for list and class-string pseudo types (derrabus)
 * bug #43998 [HttpKernel] [HttpCache] Don't throw on 304 Not Modified (aleho)
 * bug #46981 [Mime]  quote address names if they contain parentheses (xabbuh)
 * bug #46960 [FrameworkBundle] Fail gracefully when forms use disabled CSRF (HeahDude)
 * bug #46973 [DependencyInjection] Fail gracefully when attempting to autowire composite types (derrabus)
 * bug #46963 [Mime] Fix inline parts when added via attachPart() (fabpot)
 * bug #46968 [PropertyInfo] Make sure nested composite types do not crash ReflectionExtractor (derrabus)
 * bug #46931 Flush backend output buffer after closing. (bradjones1)
 * bug #46905 [BrowserKit] fix sending request to paths containing multiple slashes (xabbuh)
 * bug #42033 [HttpFoundation] Fix deleteFileAfterSend on client abortion (nerg4l)
 * bug #46941 [Messenger] Fix calls to deprecated DBAL methods (derrabus)
 * bug #46863 [Mime] Fix invalid DKIM signature with multiple parts (BrokenSourceCode)
 * bug #46808 [HttpFoundation] Fix TypeError on null `$_SESSION`  in `NativeSessionStorage::save()` (chalasr)
 * bug #46790 [HttpFoundation] Prevent PHP Warning: Session ID is too long or contains illegal characters (BrokenSourceCode)
 * bug #46800 Spaces in system temp folder path cause deprecation errors in php 8 (demeritcowboy)
 * bug #46797 [Messenger] Ceil waiting time when multiplier is a float on retry (WissameMekhilef)

* 4.4.43 (2022-06-26)

 * bug #46765 [Serializer] Fix denormalization union types with constructor (Gwemox)
 * bug #46769 [HttpKernel] Fix a PHP 8.1 deprecation notice in HttpCache (mpdude)
 * bug #46747 Fix global state pollution between tests run with ApplicationTester (Seldaek)
 * bug #46730 [Intl] Fix the IntlDateFormatter::formatObject signature (damienalexandre)
 * bug #46668 [FrameworkBundle] Lower JsonSerializableNormalizer priority (aprat84)
 * bug #46678 [HttpFoundation] Update "[Session] Overwrite invalid session id" to only validate when files session storage is used (alexpott)
 * bug #45861 [Serializer] Try all possible denormalization route with union types when ALLOW_EXTRA_ATTRIBUTES=false (T-bond)
 * bug #46676 [DoctrineBridge] Extend type guessing on enum fields (Gigino Chianese)
 * bug #46699 [Cache] Respect $save option in all adapters (jrjohnson)
 * bug #46697 [HttpKernel] Disable session tracking while collecting profiler data (nicolas-grekas)
 * bug #46684 [MonologBridge] Fixed support of elasticsearch 7.+ in ElasticsearchLogstashHandler (lyrixx)
 * bug #46368 [Mailer] Fix for missing sender name in case with usage of the EnvelopeListener (bobahvas)
 * bug #46548 [Mime] Allow url as a path in the DataPart::fromPath (wkania)
 * bug #46594 [FrameworkBundle] Fix XML cache config (HeahDude)
 * bug #46595 [Console] Escape  in command name & description from getDefaultName() (ogizanagi)
 * bug #46565 [WebProfilerBundle] Fix dark theme selected line highlight color & reuse css vars (ogizanagi)
 * bug #46535 [Mime] Check that the path is a file in the DataPart::fromPath (wkania)
 * bug #46543 [Cache] do not pass null to strlen() (xabbuh)
 * bug #46478 [Contracts] remove static cache from `ServiceSubscriberTrait` (kbond)

* 4.4.42 (2022-05-27)

 * bug #46448 [DependencyInjection] Fix "proxy" tag: resolve its parameters and pass it to child definitions (nicolas-grekas)
 * bug #46442 [FrameworkBundle] Revert "bug #46125  Always add CacheCollectorPass (fancyweb)" (chalasr)
 * bug #46443 [DoctrineBridge] Don't reinit managers when they are proxied as ghost objects (nicolas-grekas)
 * bug #46427 [FrameworkBundle] fix wiring of annotations.cached_reader (nicolas-grekas)
 * bug #46434 [FrameworkBundle] Fix BC break in abstract config commands (yceruto)
 * bug #46424 [Form] do not accept array input when a form is not multiple (xabbuh)
 * bug #46367 [Mime] Throw exception when body in Email attach method is not ok (alamirault)
 * bug #46421 [VarDumper][VarExporter] Deal with DatePeriod->include_end_date on PHP 8.2 (nicolas-grekas)
 * bug #46401 [Cache] Throw when "redis_sentinel" is used with a non-Predis "class" option (buffcode)
 * bug #46414 Bootstrap 4 fieldset for row errors (konradkozaczenko)
 * bug #46412 [FrameworkBundle] Fix dumping extension config without bundle (yceruto)
 * bug #46407 [Filesystem] Safeguard (sym)link calls (derrabus)
 * bug #46098 [Form] Fix same choice loader with different choice values (HeahDude)
 * bug #46380 [HttpClient] Add missing HttpOptions::setMaxDuration() (nicolas-grekas)
 * bug #46249 [HttpFoundation] [Session] Regenerate invalid session id (peter17)
 * bug #46366 [Mime] Add null check for EmailHeaderSame (magikid)
 * bug #46364 [Config] Fix looking for single files in phars with GlobResource (nicolas-grekas)
 * bug #46365 [HttpKernel] Revert "bug #46327  Allow ErrorHandler ^5.0 to be used" (nicolas-grekas)
 * bug #46114 Fixes "Incorrectly nested style tag found" error when using multi-line header content (Perturbatio)
 * bug #46325 [Ldap] Fix LDAP connection options (buffcode)
 * bug #46317 [Security/Http] Ignore invalid URLs found in failure/success paths (nicolas-grekas)
 * bug #46327 [HttpKernel] Allow ErrorHandler ^5.0 to be used in HttpKernel 4.4 (mpdude)
 * bug #46297 [Serializer] Fix JsonSerializableNormalizer ignores circular reference handler in $context (BreyndotEchse)
 * bug #45981 [Serializer][PropertyInfo] Fix support for "false" built-in type on PHP 8.2 (alexandre-daubois)
 * bug #46277 [HttpKernel] Fix SessionListener without session in request (edditor)
 * bug #46282 [DoctrineBridge] Treat firstResult === 0 like null (derrabus)
 * bug #46278 [Workflow] Fix deprecated syntax for interpolated strings (nicolas-grekas)
 * bug #46264 [Console] Better required argument check in InputArgument (jnoordsij)
 * bug #46262 [EventDispatcher] Fix removing listeners when using first-class callable syntax (javer)
 * bug #46216 [Form] fix populating single widget time view data with different timezones (xabbuh)
 * bug #46221 [DomCrawler][VarDumper] Fix html-encoding emojis (nicolas-grekas)
 * bug #46167 [VarExporter] Fix exporting DateTime objects on PHP 8.2 (nicolas-grekas)

* 4.4.41 (2022-04-27)

 * bug #46154 [Mailer] Restore X-Transport after failure (zenas1210)
 * bug #46171 [VarDumper] Fix dumping floats on PHP8 (nicolas-grekas)
 * bug #46170 Fix dumping enums on PHP 8.2 (nicolas-grekas)
 * bug #46143 [Cache] Prevent fatal errors on php 8 when running concurrently with TagAwareAdapter v6.1 (sbelyshkin)
 * bug #46149 Modify processing of uploaded files to be compatible with PHP 8.1 (p-golovin)
 * bug #46125 [FrameworkBundle] Always add CacheCollectorPass (fancyweb)
 * bug #46121 Fix "Notice: Undefined index: headers" in messenger with Oracle (rjd22)
 * bug #45980 [Finder] Add support of no-capture regex modifier in MultiplePcreFilterIterator (available from PHP 8.2) (alexandre-daubois)
 * bug #46008 [Workflow] Catch error when trying to get an uninitialized marking (lyrixx)
 * bug #40998 [Form] Use reference date in reverse transform (KDederichs)
 * bug #46012 [HttpKernel] Fix Symfony not working on SMB share (qinshuze)
 * bug #45992 [Mailer] Return-Path has higher priority for envelope address than From address (tpetry)
 * bug #45998 [HttpClient] Fix sending content-length when streaming the body (nicolas-grekas)
 * bug #45565 Fix table header seperator wrapping (alamirault)
 * bug #45968 [Intl] Update the ICU data to 71.1 - 4.4 (jderusse)
 * bug #45947 [FrameworkBundle] [Command] Fix `debug:router --no-interaction` error … (WilliamBoulle)
 * bug #45931 [Process] Fix Process::getEnv() when setEnv() hasn't been called before (asika32764)
 * bug #45928 [ExpressionLanguage] Fix matching null against a regular expression (ausi)

* 4.4.40 (2022-04-02)

 * bug #45910 [Messenger] reset connection on worker shutdown (SanderHagen)
 * bug #45909 [Form][TwigBundle] reset Twig form theme resources between requests (xabbuh)
 * bug #45906 [HttpClient] on redirections don't send content related request headers (xabbuh)
 * bug #45714 [Messenger] Fix cannot select FOR UPDATE from view on Oracle (rjd22)
 * bug #45888 [Messenger] Add mysql indexes back and work around deadlocks using soft-delete (nicolas-grekas)
 * bug #45891 [HttpClient] Fix exporting objects with readonly properties (nicolas-grekas)
 * bug #45875 [ExpressionLanguage] Fix matches when the regexp is not valid (fabpot)
 * bug #45870 [Validator] Fix File constraint invalid max size exception message (fancyweb)
 * bug #45851 [Console] Fix exit status on uncaught exception with negative code (acoulton)
 * bug #45838 [Serializer] Fix denormalizing union types (T-bond)
 * bug #45816 [Mailer] Preserve case of headers (nicolas-grekas)
 * bug #45814 [HttpClient] Let curl handle Content-Length headers (nicolas-grekas)
 * bug #45813 [HttpClient] Move Content-Type after Content-Length (nicolas-grekas)
 * bug #45737 [Lock] SemaphoreStore catching exception from sem_get (Triplkrypl)
 * bug #45690 [Mailer] Use recipients in sendmail transport (HypeMC)
 * bug #45720 [PropertyInfo] strip only leading `\` when unknown docType (EmilMassey)
 * bug #44915 [Console] Fix compact table style to avoid outputting a leading space (Seldaek)
 * bug #45676 [Process] Don't return executable directories in PhpExecutableFinder (fancyweb)
 * bug #45702 [Form] Fix the usage of the Valid constraints in array-based forms (stof)
 * bug #45677 [DependencyInjection] fix `ServiceSubscriberTrait` bug where parent has `__call()` (kbond)
 * bug #45678 [HttpClient] Fix reading proxy settings from dotenv when curl is used (nicolas-grekas)
 * bug #45671 [FrameworkBundle] Ensure container is reset between tests (nicolas-grekas)

* 4.4.39 (2022-03-05)

 * bug #45631 [HttpFoundation] Fix PHP 8.1 deprecation in `Response::isNotModified` (HypeMC)
 * bug #45610 [HttpKernel] Guard against bad profile data (nicolas-grekas)
 * bug #45532 Fix deprecations on PHP 8.2 (nicolas-grekas)
 * bug #45595 [FrameworkBundle] Fix resetting container between tests (nicolas-grekas)
 * bug #45585 [HttpClient] fix checking for unset property on PHP <= 7.1.4 (nicolas-grekas)
 * bug #45583 [WebProfilerBundle] Fixes HTML syntax regression introduced by #44570 (xavismeh)

* 4.4.38 (2022-02-28)

 * bug #44570 [WebProfilerBundle] add nonces to profiler (garak)
 * bug #44839 MailerInterface: failed exception contract when enabling messenger (Giorgio Premi)
 * bug #45529 [DependencyInjection] Don't reset env placeholders during compilation (nicolas-grekas)
 * bug #45527 [HttpClient] Fix overriding default options with null (nicolas-grekas)
 * bug #45531 [Serializer] Fix passing null to str_contains() (Erwin Dirks)
 * bug #42458 [Validator][Tests] Fix AssertingContextualValidator not throwing on remaining expectations (fancyweb)
 * bug #45496 [VarDumper] Fix dumping mysqli_driver instances (nicolas-grekas)
 * bug #45495 [HttpFoundation] Fix missing ReturnTypeWillChange attributes (luxemate)
 * bug #45482 [Cache] Add missing log when saving namespace (developer-av)
 * bug #45479 [HttpKernel] Reset services between requests performed by KernelBrowser (nicolas-grekas)
 * bug #44650 [Serializer] Make document type nodes ignorable (boenner)
 * bug #45469 [SecurityBundle] fix autoconfiguring Monolog's ProcessorInterface (nicolas-grekas)
 * bug #45414 [FrameworkBundle] KernelTestCase resets internal state on tearDown (core23)
 * bug #45460 [Intl] fix wrong offset timezone PHP 8.1 (Lenny4)
 * bug #45462 [HttpKernel] Fix extracting controller name from closures (nicolas-grekas)
 * bug #45424 [DependencyInjection] Fix type binding (sveneld)
 * bug #44259 [Security] AccountStatusException::$user should be nullable (Cantepie)
 * bug #45323 [Serializer] Fix ignored callbacks in denormalization (benjaminmal)
 * bug #45399 [FrameworkBundle] Fix sorting bug in sorting of tagged services by priority (Ahummeling)
 * bug #45338 [Mailer] Fix string-cast of exceptions thrown by authenticator in EsmtpTransport (wikando-ck)
 * bug #45339 [Cache] fix error handling when using Redis (nicolas-grekas)
 * bug #45281 [Cache] Fix connecting to Redis via a socket file (alebedev80)
 * bug #45289 [FrameworkBundle] Fix log channel of TagAwareAdapter (fancyweb)
 * bug #45306 [PropertyAccessor] Add missing TypeError catch (b1rdex)
 * bug #44868 [DependencyInjection][FrameworkBundle] Fix using PHP 8.1 enum as parameters (ogizanagi)
 * bug #45261 [HttpClient] Fix Content-Length header when possible (nicolas-grekas)
 * bug #45258 [DependencyInjection] Don't dump polyfilled classes in preload script (nicolas-grekas)
 * bug #38534 [Serializer] make XmlEncoder stateless thus reentrant (connorhu)
 * bug #42253 [Form] Do not fix URL protocol for relative URLs (bogkonstantin)
 * bug #45256 [DomCrawler] ignore bad charsets (nicolas-grekas)
 * bug #45255 [PropertyAccess] Fix handling of uninitialized property of parent class (filiplikavcan)
 * bug #45204 [Validator] Fix minRatio and maxRatio when getting rounded (alexander-schranz)
 * bug #45240 [Console] Revert StringInput bc break from #45088 (bobthecow)

* 4.4.37 (2022-01-28)

 * bug #44939 [Form] UrlType should not add protocol to emails (GromNaN)
 * bug #43149 Silence warnings during tty detection (neclimdul)
 * bug #45181 [Console] Fix PHP 8.1 deprecation in ChoiceQuestion (BrokenSourceCode)
 * bug #45140 [Yaml] Making the parser stateless (mamazu)
 * bug #45103 [Process] Avoid calling fclose on an already closed resource (Seldaek)
 * bug #45088 [Console] fix parsing escaped chars in StringInput (nicolas-grekas)
 * bug #45096 [Cache] Throw exception if incompatible version of psr/simple-cache is used (colinodell)
 * bug #45063 [DependencyInjection] remove arbitratry limitation to exclude inline services from bindings (nicolas-grekas)
 * bug #44986 [DependencyInjection] copy synthetic status when resolving child definitions (kbond)
 * bug #45073 [HttpClient] Fix Failed to open stream: Too many open files (adrienfr)
 * bug #45053 [Console] use STDOUT/ERR in ConsoleOutput to save opening too many file descriptors (nicolas-grekas)
 * bug #45029 [Cache] Set mtime of cache files 1 year into future if they do not expire (Blacksmoke16)
 * bug #45012 [DoctrineBridge] Fix invalid guess with enumType (jderusse)
 * bug #45015 [HttpClient] fix resetting DNS/etc when calling CurlHttpClient::reset() (nicolas-grekas)
 * bug #44890 [HttpClient] Remove deprecated usage of `GuzzleHttp\Promise\queue` (GrahamCampbell)
 * bug #45002 [PropertyAccess] Fix handling of uninitialized property of anonymous class (filiplikavcan)
 * bug #44979 [DependencyInjection] Add iterable to possible binding type (vladimir.panivko)
 * bug #44976 [FrameworkBundle] Avoid calling rtrim(null, '/') in AssetsInstallCommand (pavol-tk, GromNaN)
 * bug #44879 [DependencyInjection] Ignore argument type check in CheckTypeDeclarationsPass if it's a Definition with a factory (fancyweb)
 * bug #44931 Allow a zero time-limit for messenger:consume (fritzmg)
 * bug #44932 [DependencyInjection] Fix nested env var with resolve processor (Laurent Moreau)
 * bug #44912 [Console] Allow OutputFormatter::escape() to be used for escaping URLs used in <href> (Seldaek)
 * bug #44878 [HttpClient] Turn negative timeout to a very long timeout (fancyweb)
 * bug #44854 [Validator] throw when Constraint::_construct() has not been called (nicolas-grekas)

* 4.4.36 (2021-12-29)

 * bug #44838 [DependencyInjection][HttpKernel] Fix enum typed bindings (ogizanagi)
 * bug #44826 [HttpKernel] Do not attempt to register enum arguments in controller service locator (ogizanagi)
 * bug #44820 [Cache] Don't lock when doing nested computations (nicolas-grekas)
 * bug #44807 [Messenger] fix Redis support on 32b arch (nicolas-grekas)
 * bug #44759 [HttpFoundation] Fix notice when HTTP_PHP_AUTH_USER passed without pass (Vitali Tsyrkin)
 * bug #44799 [Cache] fix compat with apcu < 5.1.10 (nicolas-grekas)
 * bug #44732 [Mime] Relaxing in-reply-to header validation (ThomasLandauer)
 * bug #44728 [Mime] Fix encoding filenames in multipart/form-data (nicolas-grekas)
 * bug #44710 [DependencyInjection] fix linting callable classes (nicolas-grekas)
 * bug #44639 [DependencyInjection] Cast tag attribute value to string (ruudk)
 * bug #44473 [Validator] Restore default locale in ConstraintValidatorTestCase (rodnaph)
 * bug #44577 [Cache] Fix proxy no expiration to the Redis (Sergey Belyshkin)
 * bug #44669 [Cache] disable lock on CLI (nicolas-grekas)
 * bug #44537 [Config] In XmlUtils, avoid converting from octal every string starting with a 0 (alexandre-daubois)
 * bug #44625 [HttpClient] fix monitoring responses issued before reset() (nicolas-grekas)
 * bug #44623 [HttpClient] Fix dealing with "HTTP/1.1 000 " responses (nicolas-grekas)
 * bug #44601 [HttpClient] Fix closing curl-multi handle too early on destruct (nicolas-grekas)
 * bug #44571 [HttpClient] Don't reset timeout counter when initializing requests (nicolas-grekas)
 * bug #44479 [HttpClient] Double check if handle is complete (Nyholm)
 * bug #44418 [DependencyInjection] Resolve ChildDefinition in AbstractRecursivePass (fancyweb)
 * bug #43164 [FrameworkBundle] Fix cache pool configuration with one adapter and one provider (fancyweb)
 * bug #44538 [Process] fixed uppercase ARGC and ARGV should also be skipped (rbaarsma)
 * bug #44438 [HttpClient] Fix handling thrown \Exception in \Generator in MockResponse (fancyweb)
 * bug #44502 [HttpFoundation] do not call preg_match() on null (xabbuh)
 * bug #44467 [Console] Fix parameter types for `ProcessHelper::mustRun()` (derrabus)
 * bug #44399 Prevent infinite nesting of lazy `ObjectManager` instances when `ObjectManager` is reset (Ocramius)
 * bug #44375 [DoctrineBridge] fix calling get_class on non-object (kbond)
 * bug #44361 [HttpClient] Fix handling error info in MockResponse (fancyweb)
 * bug #43876 [Validator] Fix validation for single level domains (HypeMC)
 * bug #44327 [Debug][ErrorHandler] Increased the reserved memory from 10k to 32k (sakalys)
 * bug #44261 [Process] intersect with getenv() in case-insensitive manner to get default envs (stable-staple)
 * bug #44295 [Serializer] fix support for lazy/unset properties (nicolas-grekas)
 * bug #44269 [DoctrineBridge] Revert " add support for the JSON type" (dunglas)

* 4.4.35 (2021-11-24)

 * security #cve-2021-41270 [Serializer] Use single quote to escape formulas (jderusse)
 * bug #44232 [Cache] fix connecting to local Redis sockets (nicolas-grekas)
 * bug #44204 [HttpClient] fix closing curl multi handle when destructing client (nicolas-grekas)
 * bug #44208 [Process] exclude argv/argc from possible default env vars (nicolas-grekas)

* 4.4.34 (2021-11-22)

 * bug #44188 [VarExporter] fix exporting declared but unset properties when __sleep() is implemented (nicolas-grekas)
 * bug #44119 [HttpClient][Mime] Add correct IDN flags for IDNA2008 compliance (j-bernard)
 * bug #44131 [Yaml] properly parse quoted strings tagged with !!str (xabbuh)
 * bug #42323 [TwigBridge] do not merge label classes into expanded choice labels (xabbuh)
 * bug #44121 [Serializer] fix support for lazy properties (nicolas-grekas)
 * bug #44111 [Serializer] fix support for unset properties on PHP < 7.4 (nicolas-grekas)
 * bug #44070 [Process] intersect with getenv() to populate default envs (nicolas-grekas)
 * bug #44043 [Cache] fix dbindex Redis (a1812)
 * bug #44042 Fix DateIntervalToStringTransformer::transform() doc (BenMorel)
 * bug #44034 [Yaml] don't try to replace references in quoted strings (xabbuh)
 * bug #44028 [ErrorHandler] Fix FlattenException::setPrevious argument typing (welcoMattic)
 * bug #44012 [DependencyInjection] fix inlining when non-shared services are involved (nicolas-grekas)
 * bug #44002 [Cache] Fix Memory leak (a1812)
 * bug #43981 [FrameworkBundle] fix registering late resettable services (nicolas-grekas)
 * bug #43988 [DoctrineBridge] add support for the JSON type (dunglas)
 * bug #43987 [PhpUnitBridge] Fix Uncaught ValueError (dunglas)
 * bug #43961 [HttpClient] Curl http client has to reinit curl multi handle on reset (rmikalkenas)
 * bug #43922 [DependencyInjection] only allow `ReflectionNamedType` for `ServiceSubscriberTrait` (kbond)
 * bug #43901 [SecurityBundle] Default access_decision_manager.strategy option with merge (biozshock)
 * bug #43909 [VarExporter] escape unicode chars involved in directionality (nicolas-grekas)
 * bug #43867 [VarDumper] Make dumping DateInterval instances timezone-independent (derrabus)
 * bug #43096 [Messenger] Use `TransportMessageIdStamp` in `InMemoryTransport` allows retrying (alexndlm)
 * bug #43501 [HttpKernel] fix ErrorException in CacheWarmerAggregate (Ahummeling)
 * bug #42361 [Translation] correctly handle intl domains with TargetOperation (acran)
 * bug #43834 [Inflector] Fix inflector for "zombies" (acodispo)
 * bug #43267 [Config] Fix signature generation with nested attributes on PHP 8.1 (agustingomes)

* 4.4.33 (2021-10-29)

 * bug #43798 [Dotenv] Duplicate $_SERVER values in $_ENV if they don't exist (fancyweb)
 * bug #43799 [PhpUnitBridge] fix symlink to bridge in docker by making its path relative (nicolas-grekas)
 * bug #43781 [Messenger] Fix `TraceableMessageBus` implementation so it can compute caller even when used within a callback (Ocramius)
 * bug #43655 [VarDumper] Fix dumping twig templates found in exceptions (event15)
 * bug #43484 [Messenger] Fix Redis Transport when username is empty (villfa)
 * bug #43568 [Messenger] fix: TypeError in PhpSerializer::encode() (dsech)
 * bug #43591 [Config] Fix files sorting in GlobResource (lyrixx)
 * bug #43569 [HttpClient] fix collecting debug info on destruction of CurlResponse (nicolas-grekas)
 * bug #43545 [DependencyInjection] fix "url" env var processor (nicolas-grekas)
 * bug #43413 [VarDumper] Fix error with uninitialized XMLReader (villfa)
 * bug #43388 [Validator] Fixes URL validation for single-char subdomains (DfKimera)
 * bug #43333 [HttpClient] fix missing kernel.reset tag on TraceableHttpClient services (nicolas-grekas)
 * bug #43302 [Cache] Commit items implicitly only when deferred keys are requested (Sergey Belyshkin)
 * bug #43330 [Cache][Lock] fix SQLSRV throws for method_exists() (GDmac)
 * bug #43270 [VarDumper] Fix handling of "new" in initializers on PHP 8.1 (nicolas-grekas)
 * bug #43277 [DependencyInjection] fix support for "new" in initializers on PHP 8.1 (nicolas-grekas)
 * bug #43243 [HttpClient] accept headers when CURLE_RECV_ERROR is received before the content (nicolas-grekas)
 * bug #43205 [Serializer] Fix denormalizing XML array with empty body (4.4) (alexandre-daubois)

* 4.4.32 (2021-09-28)

 * Fix subtree split issues

* 4.4.31 (2021-09-28)

 * bug #43158 [Cache] Fix invalidating tags on Redis <5 (wouterj)
 * bug #43179 [Ldap] Fix `resource` type checks & docblocks on PHP 8.1 (chalasr)
 * bug #43137 [FrameworkBundle] Avoid secrets:decrypt-to-local command to fail (noniagriconomie)
 * bug #43171 [VarDumper] fix dumping typed references from properties (nicolas-grekas)
 * bug #43124 [Messenger] [Redis] Allow authentication with user and password (GaryPEGEOT)
 * bug #39350 [FrameworkBundle] Remove translation data_collector BEFORE adding it to profiler (l-vo)
 * bug #43115 [DependencyInjection] Fix iterator in ServiceConfigurator (jderusse)
 * bug #43031 [Form] Do not trim unassigned unicode characters (simonberger)
 * bug #43058 [WebProfilerBundle] Fix displaying certain configs (HypeMC)
 * bug #43022 [PhpUnitBridge] Track unsilenced deprecations only for userland (nicolas-grekas)
 * bug #42976 [Mime] Allow array as input for RawMessage (derrabus)
 * bug #42098 [PropertyInfo] Support for intersection types (derrabus)
 * bug #42904 [Cache] Make sure PdoAdapter::prune() always returns a bool (derrabus)
 * bug #42896 [HttpClient] Fix handling timeouts when responses are destructed (nicolas-grekas)
 * bug #42835 [Cache] Fix implicit float to int cast (derrabus)
 * bug #42831 [Mime] Update mime types (fabpot)
 * bug #42830 [HttpKernel] Fix empty timeline in profiler (nicodmf)
 * bug #42819 Fix tests failing with DBAL 3 (derrabus)

* 4.4.30 (2021-08-30)

 * bug #42753 Cast ini_get to an integer to match expected type (natewiebe13)
 * bug #42345 [Messenger] Remove indices in messenger table on MySQL to prevent deadlocks while removing messages when running multiple consumers (jeroennoten)
 * bug #40744 allow null for framework.translator.default_path (SimonHeimberg)
 * bug #39856 [DomCrawler] improve failure messages of the CrawlerSelectorTextContains constraint (xabbuh)
 * bug #40545 [HttpFoundation] Fix isNotModified determination logic (ol0lll)
 * bug #42368 [FrameworkBundle] Fall back to default configuration in debug:config and consistently resolve parameter values (herndlm)
 * bug #41684 Fix Url Validator false positives (sidz)
 * bug #42576 [Translation] Reverse fallback locales (ro0NL)
 * bug #42628 [PropertyInfo] Support for the `never` return type (derrabus)
 * bug #42585 [ExpressionLanguage] [Lexer] Remove PHP 8.0 polyfill (nigelmann)
 * bug #42621 [Security] Don't produce TypeErrors for non-string CSRF tokens (derrabus)
 * bug #42365 [Cache] Do not add namespace argument to `NullAdapter` in `CachePoolPass` (olsavmic)
 * bug #42331 [HttpKernel] always close open stopwatch section after handling `kernel.request` events (xabbuh)
 * bug #42260 Fix return types for PHP 8.1 (derrabus)
 * bug #42341 [Validator] Update MIR card scheme (ossinkine)

* 4.4.29 (2021-07-29)

 * bug #42307 [Mailer] Fixed decode exception when sendgrid response is 202 (rubanooo)
 * bug #42296 [Dotenv][Yaml] Remove PHP 8.0 polyfill (derrabus)
 * bug #42289 [HttpFoundation] Fixed type mismatch (Toflar)

* 4.4.28 (2021-07-27)

 * bug #42270 [WebProfilerBundle] [WebProfiler] "empty" filter bugfix. Filter with name "empty" is not … (luzrain)

* 4.4.27 (2021-07-26)

 * bug #42212 [Lock] Handle lock with long key (jderusse)
 * bug #42223 [Debug][ErrorHandler] Do not use the php80 polyfill (nicolas-grekas)
 * bug #42207 [Console] fix table setHeaderTitle without headers (a1812)
 * bug #42130 [Translation] fix fallback to Locale::getDefault() (nicolas-grekas)
 * bug #42184 [Mailer] Make sure Http TransportException is not leaking (Nyholm)
 * bug #42150 [Form] Fix 'invalid_message' use in multiple ChoiceType (alexandre-daubois)
 * bug #42174 Indicate compatibility with psr/log 2 and 3 (derrabus)
 * bug #42112 [HttpFoundation] fix FileBag under PHP 8.1 (alexpott)
 * bug #42131 [PhpUnitBridge] Fix composer resolution on Windows (Rainrider)
 * bug #42097 [DependencyInjection] Support for intersection types (derrabus)
 * bug #42114 [HttpFoundation] Fix return types of SessionHandler::gc() (derrabus)
 * bug #42099 [VarDumper] Support for intersection types (derrabus)
 * bug #42011 [Cache] Support decorated Dbal drivers in PdoAdapter (Jeroeny)
 * bug #42068 Add a Special Case for Translating Choices in en_US_POSIX (chrisguitarguy)
 * bug #42074 Fix ctype_digit deprecation (alexpott)
 * bug #42084 [WebProfilerBundle] Fix the values of some CSS properties (javiereguiluz)
 * bug #42079 [FrameworkBundle] Fixed file operations in Sodium vault seal (javiereguiluz)
 * bug #42054 [DoctrineBridge] fix setting default mapping type to attribute/annotation on php 8/7 respectively (nicolas-grekas)
 * bug #42049 [TwigBridge] do not render the same label id attribute twice (xabbuh)
 * bug #42032 [HttpKernel] recover from failed deserializations (xabbuh)
 * bug #41990 [Lock] fix derivating semaphore from key (nicolas-grekas)
 * bug #40529 [Translation] Missing translations from traits (insekticid)
 * bug #41384 Fix SkippedTestSuite (jderusse)
 * bug #41966 [Console] Revert "bug #41952  fix handling positional arguments" (chalasr, nicolas-grekas)
 * bug #41905 [EventDispatcher] Correct the called event listener method case (JJsty1e)
 * bug #41952 [Console] fix handling positional arguments (nicolas-grekas)
 * bug #41887 [PhpUnitBridge] Fix deprecation handler with PHPUnit 10 (YaFou)

* 4.4.26 (2021-06-30)

 * bug #41893 [Filesystem] Workaround cannot dumpFile into "protected" folders on Windows (arnegroskurth)
 * bug #41665 [HttpKernel] Keep max lifetime also when part of the responses don't set it (mpdude)
 * bug #41760 [ErrorHandler] fix handling buffered SilencedErrorContext (nicolas-grekas)
 * bug #41807 [HttpClient] fix Psr18Client when allow_url_fopen=0 (nicolas-grekas)
 * bug #40857 [DependencyInjection] Add support of PHP enumerations (alexandre-daubois)
 * bug #41767 [Config] fix tracking default values that reference the parent class (nicolas-grekas)
 * bug #41768 [DependencyInjection] Fix binding "iterable $foo" when using the PHP-DSL (nicolas-grekas)
 * bug #41793 [Cache] handle prefixed redis connections when clearing pools (nicolas-grekas)
 * bug #41804 [Cache] fix eventual consistency when using RedisTagAwareAdapter with a cluster (nicolas-grekas)
 * bug #41773 [Cache] Disable locking on Windows by default (nicolas-grekas)
 * bug #41655 [Mailer] fix encoding of addresses using SmtpTransport (dmaicher)
 * bug #41663 [HttpKernel] [HttpCache] Keep s-maxage=0 from ESI sub-responses (mpdude)
 * bug #41701 [VarDumper] Fix tests for PHP 8.1 (alexandre-daubois)
 * bug #41795 [FrameworkBundle] Replace var_export with VarExporter to use array short syntax in secrets list files (alexandre-daubois)
 * bug #41779 [DependencyInjection] throw proper exception when decorating a synthetic service (nicolas-grekas)
 * bug #41776 [ErrorHandler] [DebugClassLoader] Do not check Phake mocks classes (adoy)
 * bug #41780 [PhpUnitBridge] fix handling the COMPOSER_BINARY env var when using simple-phpunit (Taluu)
 * bug #41670 [HttpFoundation] allow savePath of NativeFileSessionHandler to be null (simon.chrzanowski)
 * bug #41644 [Config] fix tracking attributes in ReflectionClassResource (nicolas-grekas)
 * bug #41621 [Process] Fix incorrect parameter type (bch36)
 * bug #41624 [HttpClient] Revert bindto workaround for unaffected PHP versions (derrabus)
 * bug #41549 [Security] Fix opcache preload with alias classes (jderusse)
 * bug #41491 [Serializer] Do not allow to denormalize string with spaces only to valid a DateTime object (sidz)
 * bug #41386 [Console] Escape synopsis output (jschaedl)
 * bug #41495 [HttpFoundation] Add ReturnTypeWillChange to SessionHandlers (nikic)

* 4.4.25 (2021-06-01)

 * bug #41000 [Form] Use !isset for checks cause this doesn't falsely include 0 (Kai Dederichs)
 * bug #41407 [DependencyInjection] keep container.service_subscriber tag on the decorated definition (xabbuh)
 * bug #40866 [Filesystem] fix readlink() for Windows (a1812)
 * bug #41394 [Form] fix support for years outside of the 32b range on x86 arch (nicolas-grekas)
 * bug #39847 [Messenger] Fix merging PrototypedArrayNode associative values (svityashchuk)
 * bug #41346 [WebProfilerBundle] Wrapping exception js in Sfjs check and also loading base_js Sfjs if needed (weaverryan)

* 4.4.24 (2021-05-19)

 * security #cve-2021-21424 [Security\Core] Fix user enumeration via response body on invalid credentials (chalasr)
 * bug #41230 [FrameworkBundle][Validator] Fix deprecations from Doctrine Annotations+Cache (derrabus)
 * bug #41240 Fixed deprecation warnings about passing null as parameter (derrabus)
 * bug #41241 [Finder] Fix gitignore regex build with "**" (mvorisek)
 * bug #41224 [HttpClient] fix adding query string to relative URLs with scoped clients (nicolas-grekas)
 * bug #41233 [DependencyInjection][ProxyManagerBridge] Don't call class_exists() on null (derrabus)
 * bug #41210 [Console] Fix Windows code page support (orkan)

* 4.4.23 (2021-05-12)

 * security #cve-2021-21424 [Security][Guard] Prevent user enumeration (chalasr)
 * bug #41176 [DependencyInjection] fix dumping service-closure-arguments (nicolas-grekas)
 * bug #41168 WDT: Only load "Sfjs" if it is not present already (weaverryan)
 * bug #41147 [Inflector][String] wrong plural form of words ending by "pectus" (makraz)
 * bug #41160 [HttpClient] Don't prepare the request in ScopingHttpClient (nicolas-grekas)
 * bug #40763 Fix/Rewrite .gitignore regex builder (mvorisek)
 * bug #40917 [Config][DependencyInjection] Uniformize trailing slash handling (dunglas)
 * bug #40699 [PropertyInfo] Make ReflectionExtractor correctly extract nullability (shiftby)
 * bug #40874 [PropertyInfo] fix attribute namespace with recursive traits (soullivaneuh)
 * bug #41099 [Cache] Check if phpredis version is compatible with stream parameter (nicolassing)
 * bug #41072 [VarExporter] Add support of PHP enumerations (alexandre-daubois)
 * bug #41105 [Inflector][String] Fixed singularize `edges` > `edge` (ruudk)
 * bug #41075 [ErrorHandler] Skip "same vendor" ``@method`` deprecations for `Symfony\*` classes unless symfony/symfony is being tested (nicolas-grekas)

* 4.4.22 (2021-05-01)

 * bug #40993 [Security] [Security/Core] fix checking for bcrypt (nicolas-grekas)
 * bug #40923 [Yaml] expose references detected in inline notation structures (xabbuh)
 * bug #40964 [HttpFoundation] Fixes for PHP 8.1 deprecations (jrmajor)
 * bug #40514 [Yaml] Allow tabs as separators between tokens (bertramakers)
 * bug #40882 [Cache] phpredis: Added full TLS support for RedisCluster (jackthomasatl)
 * bug #40793 [DoctrineBridge] Add support for a driver type "attribute" (beberlei)
 * bug #40807 RequestMatcher issue when `_controller` is a closure (Plopix)
 * bug #40811 [PropertyInfo] Use the right context for methods defined in traits (colinodell)
 * bug #40330 [SecurityBundle] Empty line starting with dash under "access_control" causes all rules to be skipped (monteiro)
 * bug #40780 [Cache] Apply NullAdapter as Null Object (roukmoute)
 * bug #40740 [Cache][FrameworkBundle] Fix logging for TagAwareAdapter (fancyweb)
 * bug #40755 [Routing] Better inline requirements and defaults parsing (Foxprodev)
 * bug #40754 [PhpUnitBridge] Fix phpunit symlink on Windows (johnstevenson)
 * bug #40707 [Yaml] Fixed infinite loop when parser goes through an additional and invalid closing tag (alexandre-daubois)
 * bug #40679 [Debug][ErrorHandler] Avoid warning with Xdebug 3 with develop mode disabled (Jean85)
 * bug #40702 [HttpClient] allow CurlHttpClient on Windows (n0rbyt3)
 * bug #40503 [Yaml] fix parsing some block sequences (a1812)
 * bug #40610 Fixed bugs found by psalm (Nyholm)
 * bug #40603 [Config] Fixed support for nodes not extending BaseNode (Nyholm)
 * bug #40645 [FrameworkBundle] Dont store cache misses on warmup (Nyholm)
 * bug #40629 [DependencyInjection] Fix "url" env var processor behavior when the url has no path (fancyweb)
 * bug #40655 [Cache] skip storing failure-to-save as misses in ArrayAdapter (nicolas-grekas)
 * bug #40522 [Serializer] Allow AbstractNormalizer to use null for non-optional nullable constructor parameters without default value (Pierre Rineau)
 * bug #40595 add missing queue_name to find(id) in doctrine messenger transport (monteiro)

* 4.4.21 (2021-03-29)

 * bug #40598 [Form] error if the input string couldn't be parsed as a date (xabbuh)
 * bug #40587 [HttpClient] fix using stream_copy_to_stream() with responses cast to php streams (nicolas-grekas)
 * bug #40510 [Form] IntegerType: Always use en for IntegerToLocalizedStringTransformer (Warxcell)
 * bug #40593 Uses the correct assignment action for console options depending if they are short or long (topikito)
 * bug #40535 [HttpKernel] ConfigDataCollector to return known data without the need of a Kernel (topikito)
 * bug #40552 [Translation] Fix update existing key with existing +int-icu domain (Alexis)
 * bug #40537 [Security] Handle properly 'auto' option for remember me cookie security (fliespl)
 * bug #40506 [Validator] Avoid triggering the autoloader for user-input values (Seldaek)
 * bug #40538 [HttpClient] remove using $http_response_header (nicolas-grekas)
 * bug #40508 [PhpUnitBridge] fix reporting deprecations from DebugClassLoader (nicolas-grekas)
 * bug #40348 [Console] Fix line wrapping for decorated text in block output (grasmash)
 * bug #40499 [Inflector][String] Fixed pluralize "coupon" (Nyholm)
 * bug #40494 [PhpUnitBridge] fix compat with symfony/debug (nicolas-grekas)
 * bug #40453 [VarDumper] Adds support for ReflectionUnionType to VarDumper (Michael Nelson, michaeldnelson)
 * bug #40460 Correctly clear lines for multi-line progress bar messages (grasmash)
 * bug #40450 [Console] ProgressBar clears too many lines on update (danepowell)
 * bug #40178 [FrameworkBundle] Exclude unreadable files when executing About command (michaljusiega)
 * bug #40472 [Bridge\Twig] Add 'form-control-range' for range input type (Oviglo)
 * bug #39866 [Mime] Escape commas in address names (YaFou)
 * bug #40373 Check if templating engine supports given view (fritzmg)
 * bug #39992 [Security] Refresh original user in SwitchUserListener (AndrolGenhald)
 * bug #40446 [TwigBridge] Fix "Serialization of 'Closure'" error when rendering an TemplatedEmail (jderusse)
 * bug #40425 [DoctrineBridge] Fix eventListener initialization when eventSubscriber constructor dispatch an event (jderusse)
 * bug #40313 [FrameworkBundle] Fix PropertyAccess definition when not in debug (PedroTroller)
 * bug #40417 [Form] clear unchecked choice radio boxes even if clear missing is set to false (xabbuh)
 * bug #40388 [ErrorHandler] Added missing type annotations to FlattenException (derrabus)
 * bug #40407 [TwigBridge] Allow version 3 of the Twig extra packages (derrabus)
 * bug #39685 [Mailer][Mime][TwigBridge][Validator] Allow egulias/email-validator 3.x (derrabus)
 * bug #40398 [FrameworkBundle] : Fix method name compare in ResolveControllerNameSubscriber (glensc)
 * bug #39733 [TwigBridge] Render email once (jderusse)
 * bug #40386 [DependencyInjection][Security] Backport psr/container 1.1/2.0 compatibility (derrabus)

* 4.4.20 (2021-03-04)

 * bug #40318 [Translation] deal with indented heredoc/nowdoc tokens (xabbuh)
 * bug #40350 [DependencyInjection] fix parsing calls of methods named "method" (xabbuh)
 * bug #40316 [Serializer] zero parts can be omitted in date interval input (xabbuh)
 * bug #40239 MockResponse total_time should not be simulated when provided (Pierrick VIGNAND)
 * bug #40299 [Cache] Add server-commands support for Predis Replication Environments (DemigodCode)
 * bug #40231 [HttpKernel] Configure `session.cookie_secure` earlier (tamcy)
 * bug #40283 [Translation] Make `name` attribute optional in xliff2 (MarieMinasyan)
 * bug #39599 [Cache] Fix Redis TLS scheme `rediss` for Redis connection (misaert)
 * bug #40244 [Routing] fix conflict with param named class in attribute (nlhommet)
 * bug #40273 [Cache] fix setting items' metadata on commit() (nicolas-grekas)
 * bug #40258 [Form] Ignoring invalid forms from delete_empty behavior in CollectionType (yceruto)
 * bug #40162 [Intl] fix Locale::getFallback() throwing exception on long $locale (AmirHo3ein13)
 * bug #40208 [PropertyInfo] fix resolving self to name of the analyzed class (xabbuh)
 * bug #40209 [WebLink] Escape double quotes in attributes values (fancyweb)
 * bug #40192 [Console] fix QuestionHelper::getHiddenResponse() not working with space in project directory name (Yendric)
 * bug #40175 [PropertyInfo]  use the right context for properties defined in traits (xabbuh)
 * bug #40172 [Translation] Allow using dashes in locale when linting Xliff files (localheinz)
 * bug #40187 [Console] Fix PHP 8.1 null error for preg_match flag (kylekatarnls)
 * bug #39659 [Form] keep valid submitted choices when additional choices are submitted (xabbuh)
 * bug #40188 [HttpFoundation] Fix PHP 8.1 null values (kylekatarnls)
 * bug #40167 [DependencyInjection] Definition::removeMethodCall should remove all matching calls (ruudk)
 * bug #40160 [PropertyInfo] fix extracting mixed type-hinted property types (xabbuh)
 * bug #40040 [Finder] Use a lazyIterator to close files descriptors when no longer used (jderusse)
 * bug #40135 [FrameworkBundle] Fix freshness checks with boolean parameters on routes (HypeMC)
 * bug #40138 [FrameworkBundle] fix registering "annotations.cache" on the "container.hot_path" (nicolas-grekas)
 * bug #40116 [FrameworkBundle][Translator] scan directories for translations sequentially (xabbuh)
 * bug #40104 [HttpKernel] [Kernel] Silence failed deprecations logs writes (fancyweb)
 * bug #40098 [DependencyInjection] fix tracking of changes to vendor/ dirs (nicolas-grekas)
 * bug #39980 [Mailer][Mime] Update inline part names with newly generated ContentId (ddegentesh)
 * bug #40043 [HttpFoundation] Setting `REQUEST_TIME_FLOAT` when constructing a Request object (ctasada)
 * bug #40050 [FrameworkBundle][Translator] Fixed updating catalogue metadata from Intl domain (yceruto)
 * bug #40089 [SecurityBundle] role_names variable instead of roles (wickedOne)
 * bug #40042 [Doctrine] Restore priority for EventSubscribers (jderusse)
 * bug #40066 [ErrorHandler] fix parsing return types in DebugClassLoader (nicolas-grekas)
 * bug #40065 [ErrorHandler] fix handling messages with null bytes from anonymous classes (nicolas-grekas)
 * bug #40067 [PhpUnitBridge] fix reporting deprecations when they come from DebugClassLoader (nicolas-grekas)
 * bug #40060 fix validator when we have false returned by the current element of the iterator (FabienSalles)
 * bug #40062 [Mime] Fix case-sensitive handling of header names (piku235)
 * bug #40023 [Finder]  use proper keys to not override appended files (xabbuh)
 * bug #40019 [ErrorHandler] Fix strpos error when trying to call a method without a name (Deuchnord)
 * bug #40004 [Serializer] Prevent access to private properties without getters (julienfalque)

* 4.4.19 (2021-01-27)

 * bug #38900 [Serializer] Exclude non-initialized properties accessed with getters (BoShurik)
 * bug #39887 [Translator] fix handling plural for floating numbers (kylekatarnls)
 * bug #39967 [Messenger] fix redis messenger options with dsn (Kleinast)
 * bug #39970 [Messenger] Fix transporting non-UTF8 payloads by encoding them using base 64 (nicolas-grekas)
 * bug #39909 [PhpUnitBridge] Allow relative path to composer cache (jderusse)
 * bug #39944 [HttpKernel] Configure the ErrorHandler even when it is overriden (nicolas-grekas)
 * bug #39932 [Console] [Command] Fix Closure code binding when it is a static anonymous function (fancyweb)
 * bug #39880 [DoctrineBridge] Add username to UserNameNotFoundException (qurben)
 * bug #39633 [HttpFoundation] Drop int return type from parseFilesize() (LukeTowers)
 * bug #39889 [HttpClient] Add check for constant in Curl client (pierredup)
 * bug #39886 [HttpFoundation] Revert #38614 and add assert to avoid regressions (BafS)
 * bug #39858 Fix problem when SYMFONY_PHPUNIT_VERSION is empty string value (alexander-schranz)
 * bug #39861 [DependencyInjection] Skip deprecated definitions in CheckTypeDeclarationsPass (chalasr)
 * bug #39862 [Security] Replace message data in JSON security error response (wouterj)
 * bug #39667 [DoctrineBridge] Take into account that indexBy="person_id" could be a db column name, for a referenced entity (victormacko)
 * bug #39799 [DoctrineBridge] Fix circular loop with EntityManager (jderusse)
 * bug #39821 [DependencyInjection] Don't trigger notice for deprecated aliases pointing to deprecated definitions (chalasr)
 * bug #39816 [HttpFoundation] use atomic writes in MockFileSessionStorage (nicolas-grekas)
 * bug #39735 [Serializer] Rename normalize param (VincentLanglet)
 * bug #39797 Dont allow unserializing classes with a destructor (jderusse)
 * bug #39743 [Mailer] Fix missing BCC recipients in SES bridge (jderusse)
 * bug #39764 [Config]  fix handling float-like key attribute values (xabbuh)
 * bug #39787 [Yaml] a colon followed by spaces exclusively separates mapping keys and values (xabbuh)
 * bug #39788 [Cache] fix possible collision when writing tmp file in filesystem adapter (nicolas-grekas)
 * bug #39794 Dont allow unserializing classes with a destructor - 4.4 (jderusse)
 * bug #39747 [DependencyInjection] Support PHP 8 builtin types in CheckTypeDeclarationsPass (derrabus)
 * bug #39738 [VarDumper] fix mutating $GLOBALS while cloning it (nicolas-grekas)
 * bug #39746 [DependencyInjection] Fix InvalidParameterTypeException for function parameters (derrabus)
 * bug #39681 [HttpFoundation] parse cookie values containing the equal sign (xabbuh)
 * bug #39716 [DependencyInjection] do not break when loading schemas from network paths on Windows (xabbuh)
 * bug #39703 [Finder] apply the sort callback on the whole search result (xabbuh)
 * bug #39717 [TwigBridge] Remove full head content in HTML to text converter (pupaxxo)
 * bug #39708 [WebProfilerBundle] take query and request parameters into account when matching routes (xabbuh)
 * bug #39683 [Yaml] keep trailing newlines when dumping multi-line strings (xabbuh)
 * bug #39670 [Form] disable error bubbling by default when inherit_data is configured (xabbuh)
 * bug #39686 [Lock] Fix config merging in lock (jderusse)
 * bug #39668 [Yaml] do not dump extra trailing newlines for multiline blocks (xabbuh)
 * bug #39653 [Form] fix passing null $pattern to IntlDateFormatter (nicolas-grekas)
 * bug #39598 [Messenger] Fix stopwach usage if it has been reset (lyrixx)
 * bug #39631 [VarDumper] Fix display of nullable union return types (derrabus)
 * bug #39629 [VarDumper] fixed displaying "mixed" as "?mixed" (nicolas-grekas)
 * bug #39597 [Mailer] Handle failure when sending DATA (jderusse)
 * bug #39610 [ProxyManagerBridge] fix PHP notice, switch to "friendsofphp/proxy-manager-lts" (nicolas-grekas)

* 4.4.18 (2020-12-18)

 * bug #39531 [Mailer] Fix parsing Dsn with empty user/password (OskarStark)
 * bug #39518 [Ldap] Incorrect determination of RelativeDistinguishedName for the "move" operation (astepin)
 * bug #39476 [Lock] Prevent store exception break combined store (dzubchik)
 * bug #39433 [Cache] fix setting "read_timeout" when using Redis (nicolas-grekas)
 * bug #39420 [Cache] Prevent notice on case matching metadata trick (bastnic)
 * bug #39203 [DI] Fix not working if only "default_index_method" used (malteschlueter)
 * bug #39142 [Config] Stop treating multiline resources as globs (michaelKaefer)
 * bug #39341 [Form] Fixed StringUtil::trim() to trim ZERO WIDTH SPACE (U+200B) and SOFT HYPHEN (U+00AD) (pmishev)
 * bug #39334 [Config][TwigBundle] Fixed syntax error in config (Nyholm)
 * bug #39196 [DI] Fix Xdebug 3.0 detection (vertexvaar)
 * bug #39226 [PhpUnitBridge] Fix disabling DeprecationErrorHandler from PHPUnit configuration file (fancyweb)
 * bug #39357 [FrameworkBundle] fix preserving some special chars in the query string (nicolas-grekas)
 * bug #39271 [HttpFoundation] Fix TypeError: Argument 1 passed to JsonResponse::setJson() must be of the type string, object given (sidz)
 * bug #39251 [DependencyInjection] Fix container linter for union types (derrabus)
 * bug #39336 [Config] YamlReferenceDumper: No default value required for VariableNode with array example (Nyholm)
 * bug #39333 [Form] do not apply the Valid constraint on scalar form data (lchrusciel, xabbuh)
 * bug #39331 [PhpUnitBridge] Fixed PHPunit 9.5 compatibility (wouterj)
 * bug #39220 [HttpKernel] Fix bug with whitespace in Kernel::stripComments() (ausi)
 * bug #39252 [Mime] Leverage PHP 8's detection of CSV files (derrabus)
 * bug #39313 [FrameworkBundle] TextDescriptor::formatControllerLink checked method… (fjogeleit)
 * bug #39286 [HttpClient] throw clearer error when no scheme is provided (BackEndTea)
 * bug #39267 [Yaml] fix lexing backslashes in single quoted strings (xabbuh)
 * bug #39151 [DependencyInjection] Fixed incorrect report for private services if required service does not exist (Islam93)
 * bug #39274 [Yaml] fix lexing mapping values with trailing whitespaces (xabbuh)
 * bug #39270 [Inflector] Fix Notice when argument is empty string (moldman)
 * bug #39247 [Security] remove return type definition in order to avoid type juggling (adeptofvoltron)
 * bug #39223 [Console] Re-enable hyperlinks in Konsole/Yakuake (OndraM)
 * bug #39241 [Yaml] fix lexing inline sequences/mappings with trailing whitespaces (Nyholm, xabbuh)
 * bug #39243 [Filesystem] File existence check before calling unlink method (gechetspr)

* 4.4.17 (2020-11-29)

 * bug #39166 [Messenger] Fix mssql compatibility for doctrine transport. (bill moll)
 * bug #39211 [HttpClient] fix binding to network interfaces (nicolas-grekas)
 * bug #39129 [DependencyInjection] Fix circular in DI with lazy + byContruct loop (jderusse)
 * bug #39068 [DependencyInjection][Translator] Silent deprecation triggered by libxml_disable_entity_loader (jderusse)
 * bug #39119 [Form] prevent duplicated error message for file upload limits (xabbuh)
 * bug #39099 [Form] ignore the pattern attribute for textareas (xabbuh)
 * bug #39154 [Yaml] fix lexing strings containing escaped quotation characters (xabbuh)
 * bug #38597 [PhpUnitBridge] Fix qualification of deprecations triggered by the debug class loader (fancyweb)
 * bug #39160 [Console] Use a partial buffer in SymfonyStyle (jderusse)
 * bug #39168 [Console] Fix console closing tag (jderusse)
 * bug #39155 [VarDumper] fix casting resources turned into objects on PHP 8 (nicolas-grekas)
 * bug #39115 [HttpClient] don't fallback to HTTP/1.1 when HTTP/2 streams break (nicolas-grekas)
 * bug #33763 [Yaml] fix lexing nested sequences/mappings (xabbuh)
 * bug #39083 [Dotenv] Check if method inheritEnvironmentVariables exists (Chi-teck)
 * bug #39094 [Ldap] Fix undefined variable $con (derrabus)
 * bug #39091 [Config] Recheck glob brace support after GlobResource was serialized (wouterj)
 * bug #39092 Fix critical extension when reseting paged control (jderusse)
 * bug #38614 [HttpFoundation] Fix for virtualhosts based on URL path (mvorisek)
 * bug #38387 [Validator] prevent hash collisions caused by reused object hashes (fancyweb, xabbuh)
 * bug #38999 [DependencyInjection] autoconfigure behavior describing tags on decorators (xabbuh)
 * bug #39058 [DependencyInjection] Fix circular detection with multiple paths (jderusse)
 * bug #39059 [Filesystem] fix cleaning up tmp files when dumpFile() fails (nicolas-grekas)
 * bug #38628 [DoctrineBridge]  indexBy could reference to association columns (juanmiguelbesada)
 * bug #39021  [DependencyInjection] Optimize circular collection by removing flattening (jderusse)
 * bug #39031 [Ldap] Fix pagination (jderusse)
 * bug #39038 [DoctrineBridge]    also reset id readers (xabbuh)
 * bug #39025 [DoctrineBridge] Fix DBAL deprecations in middlewares (derrabus)
 * bug #38991 [Console] Fix ANSI when stdErr is not a tty (jderusse)
 * bug #38980 [DependencyInjection] Fix circular reference with Factory + Lazy Iterrator (jderusse)
 * bug #38971 [PhpUnitBridge] fix replaying skipped tests (nicolas-grekas)
 * bug #38910 [HttpKernel] Fix session initialized several times (jderusse)
 * bug #38882 [DependencyInjection] Improve performances in CircualReference detection (jderusse)
 * bug #38950 [Process] Dont test TTY if there is no TTY support (Nyholm)
 * bug #38921 [PHPUnitBridge] Fixed crash on Windows with PHP 8 (villfa)
 * bug #38869 [SecurityBundle] inject only compatible token storage implementations for usage tracking (xabbuh)
 * bug #38894 [HttpKernel] Remove Symfony 3 compatibility code (derrabus)
 * bug #38895 [PhpUnitBridge] Fix wrong check for exporter in ConstraintTrait (alcaeus)
 * bug #38879 [Cache] Fixed expiry could be int in ChainAdapter due to race conditions (phamviet)
 * bug #38856 [Cache] Add missing use statement (fabpot)

* 4.4.16 (2020-10-28)

 * bug #38713 [DI] Fix Preloader exception when preloading a class with an unknown parent/interface (rgeraads)
 * bug #38647 [HttpClient] relax auth bearer format requirements (xabbuh)
 * bug #38699 [DependencyInjection] Preload classes with union types correctly (derrabus)
 * bug #38669 [Serializer] fix decoding float XML attributes starting with 0 (Marcin Kruk)
 * bug #38680 [PhpUnitBridge] Support new expect methods in test case polyfill (alcaeus)
 * bug #38681 [PHPUnitBridge] Support PHPUnit 8 and PHPUnit 9 in constraint compatibility trait (alcaeus)
 * bug #38679 [PhpUnitBridge] Add missing exporter function for PHPUnit 7 (alcaeus)
 * bug #38595 [TwigBridge] do not translate null placeholders or titles (xabbuh)
 * bug #38635 [Cache] Use correct expiry in ChainAdapter (Nyholm)
 * bug #38652 [Filesystem] Check if failed unlink was caused by permission denied (Nyholm)
 * bug #38645 [PropertyAccess] forward the caught exception (xabbuh)
 * bug #38604 [DoctrineBridge] indexBy does not refer to attributes, but to column names (xabbuh)
 * bug #38606 [WebProfilerBundle] Hide debug toolbar in print view (jt2k)
 * bug #38582 [DI] Fix Reflection file name with eval()\'d code (maxime-aknin)
 * bug #38516 [HttpFoundation] Fix Range Requests (BattleRattle)
 * bug #38553 [Lock] Reset Key lifetime time before we acquire it (Nyholm)
 * bug #38551 Remove content-type check on toArray methods (jderusse)
 * bug #38544 [DI] fix dumping env vars (nicolas-grekas)
 * bug #38530 [HttpClient] fix reading the body after a ClientException (nicolas-grekas)
 * bug #38510 [PropertyInfo] Support for the mixed type (derrabus)
 * bug #38493 [HttpClient] Fix CurlHttpClient memory leak (HypeMC)
 * bug #38456 [Cache] skip igbinary < 3.1.6 (nicolas-grekas)
 * bug #38392 [Ldap] Bypass the use of `ldap_control_paged_result` on PHP >= 7.3 (lucasaba)
 * bug #38444 [PhpUnitBridge] fix running parallel tests with phpunit 9 (nicolas-grekas)
 * bug #38442 [VarDumper] fix truncating big arrays (nicolas-grekas)
 * bug #38433 [Mime] Fix serialization of RawMessage (gilbertsoft)

* 4.4.15 (2020-10-04)

 * bug #36291 [Lock] Fix StoreFactory to accept same DSN syntax as AbstractAdapter (Jontsa)
 * bug #38390 [Serializer][Minor] Fix circular reference exception message (bad limit displayed) (l-vo)
 * bug #38388 [HttpClient] Always "buffer" empty responses (nicolas-grekas)
 * bug #38380 [Form] propagate validation groups to subforms (johanderuijter, xabbuh)
 * bug #38377  Ignore more deprecations for Mockery mocks (fancyweb)
 * bug #38375 [HttpClient] fix using proxies with NativeHttpClient (nicolas-grekas)
 * bug #38372 [Routing] fix using !important and defaults/reqs in inline route definitions (nicolas-grekas)
 * bug #38373 [ErrorHandler][DebugClassLoader] Do not check Mockery mocks classes (fancyweb)
 * bug #38368 [HttpClient] Fix using https with proxies (bohanyang)
 * bug #38350 [TwigBundle] Only remove kernel exception listener if twig is used (dmolineus)
 * bug #38360 [BrowserKit] Cookie expiration at current timestamp (iquito)
 * bug #38358 [Messenger] Fix redis connection error message (alexander-schranz)
 * bug #38343 Revert "bug #38063 [FrameworkBundle] generate preload.php in src/ to make opcache.preload predictable" (nicolas-grekas)
 * bug #38336 [PhpUnitBridge] Fixed class_alias() for PHPUnit\Framework\Error\Error (stevegrunwell)

* 4.4.14 (2020-09-27)

 * bug #38248 [HttpClient] Allow bearer token with colon (stephanvierkant)
 * bug #37837 [Form] Fix custom formats deprecation with HTML5 widgets (fancyweb)
 * bug #38285 [Contracts][Translation] Optional Intl dependency (ro0NL)
 * bug #38283 [Translator] Optional Intl dependency (ro0NL)
 * bug #38271 [ErrorHandler] Escape JSON encoded log context (ro0NL)
 * bug #38284 [Cache][Lock][Messenger] fix compatibility with Doctrine DBAL 3 (xabbuh)
 * bug #38228 [Yaml Parser] Fix edge cases when parsing multiple documents (digilist)
 * bug #38229 [Yaml] fix parsing comments not prefixed by a space (xabbuh)
 * bug #38127 [Translator] Make sure a null locale is handled properly (jschaedl)
 * bug #38221 [Cache] Allow cache tags to be objects implementing __toString() (lstrojny)
 * bug #38212 [HttpKernel] Do not override max_redirects option in HttpClientKernel (dmolineus)
 * bug #38215 [HttpClient] Support for CURLOPT_LOCALPORT (derrabus)
 * bug #38202 [FrameworkBundle] Fix xsd definition which prevent to add more than one workflow metadata (l-vo)
 * bug #38166 [Console] work around disabled putenv() (SenTisso)
 * bug #38173 [HttpClient][HttpClientTrait] don't calculate alternatives if option is auth_ntlm (ybenhssaien)
 * bug #38169 [PhpUnitBridge] Internal classes are not legacy (derrabus)
 * bug #38156 [Cache] fix ProxyAdapter not persisting items with infinite expiration (dmaicher)
 * bug #38148 [HttpClient] fail properly when the server replies with HTTP/0.9 (nicolas-grekas)
 * bug #38131 [Validator] allow consumers to mock all methods (xabbuh)
 * bug #38139 [DI] dump OS-indepent paths in the compiled container (nicolas-grekas)
 * bug #38126 [Cache] Limit cache version character range (lstrojny)
 * bug #38142 [FrameworkBundle] adopt src/.preload.php (nicolas-grekas)
 * bug #38108 [Cache] Fix key encoding issue in Memcached adapter (lstrojny)
 * bug #38122 [HttpClient] Fix Array to string conversion notice when parsing JSON error body with non-scalar detail property (emarref)
 * bug #37097 DateTime validator support for trailing data (stefankleff)
 * bug #38116 [Console] Silence warnings on sapi_windows_cp_set() call (chalasr)
 * bug #38114 [Console] guard $argv + $token against null, preventing unnecessary exceptions (bilogic)
 * bug #38094 [PhpUnitBridge] Skip internal classes in CoverageListenerTrait (sanmai)
 * bug #38101 [VarExporter] unserialize() might throw an Exception on php 8 (derrabus)
 * bug #38100 [ErrorHandler] Parse "x not found" errors correctly on php 8 (derrabus)
 * bug #38099 Prevent parsing invalid octal digits as octal numbers (julienfalque)
 * bug #38095 [Mailer] Remove unnecessary check for  existing request (jschaedl)
 * bug #38091 [DI] fix ContainerBuilder on PHP8 (nicolas-grekas)
 * bug #38086 [HttpClient] with "bindto" with NativeHttpClient (nicolas-grekas)
 * bug #38063 [FrameworkBundle] generate preload.php in src/ to make opcache.preload predictable (nicolas-grekas)
 * bug #38080 [Console] Make sure $maxAttempts is an int or null (derrabus)
 * bug #38075 esmtp error not being thrown properly (Anton Zagorskii)
 * bug #38040 [Yaml Parser] fixed Parser to skip comments when inlining sequences (korve)
 * bug #38073 [VarDumper] Fix caster for invalid SplFileInfo objects on php 8 (derrabus)
 * bug #38071 [PhpUnitBridge] Adjust output parsing of CoverageListenerTrait for PHPUnit 9.3 (sanmai, derrabus)
 * bug #38062 [DI] fix generating preload file when cache_dir is outside project_dir (nicolas-grekas)
 * bug #38059 [Cache] Fix CacheCollectorPass with decorated cache pools (shyim)
 * bug #38054 [PhpUnitBridge] CoverageListenerTrait update for PHPUnit 8.5/9.x (sanmai)
 * bug #38049 [Debug] Parse "x not found" errors correctly on php 8 (derrabus)
 * bug #38041 [PropertyInfo] Fix typed collections in PHP 7.4 (ndench)
 * bug #37959 [PhpunitBridge] Fix deprecation type detection (when several autoload files are used) (l-vo)

* 4.4.13 (2020-09-02)

 * security #cve-2020-15094 Remove headers with internal meaning from HttpClient responses (mpdude)
 * bug #38024 [Console] Fix undefined index for inconsistent command name definition (chalasr)
 * bug #38023 [DI] fix inlining of non-shared services (nicolas-grekas)
 * bug #38020 [PhpUnitBridge] swallow deprecations (xabbuh)
 * bug #38010 [Cache] Psr16Cache does not handle Proxy cache items (alex-dev)
 * bug #37937 [Serializer] fixed fix encoding of cache keys with anonymous classes (michaelzangerle)

* 4.4.12 (2020-08-31)

 * bug #37966 [HttpClient][MockHttpClient][DX] Throw when the response factory callable does not return a valid response (fancyweb)
 * bug #37971 [PropertyInfo] Backport support for typed properties (PHP 7.4) (dunglas)
 * bug #37970 [PhpUnitBridge] Polyfill new phpunit 9.1 assertions (phpfour)
 * bug #37960 [PhpUnit] Add polyfill for assertMatchesRegularExpression() (dunglas)
 * bug #37949 [Yaml] fix more numeric cases changing in PHP 8 (xabbuh)
 * bug #37921 [Yaml] account for is_numeric() behavior changes in PHP 8 (xabbuh)
 * bug #37912 [ExpressionLanguage] fix passing arguments to call_user_func_array() on PHP 8 (xabbuh)
 * bug #37907 [Messenger] stop using the deprecated schema synchronizer API (xabbuh)
 * bug #37900 [Mailer] Fixed mandrill api header structure (wulff)
 * bug #37888 [Mailer] Reorder headers used to determine Sender (cvmiert)
 * bug #37872 [Sendgrid-Mailer] Fixed envelope recipients on sendgridApiTransport (arendjantetteroo)
 * bug #37860 [Serializer][ClassDiscriminatorMapping] Fix getMappedObjectType() when a discriminator child extends another one (fancyweb)
 * bug #37853 [Validator] ensure that the validator is a mock object for backwards-compatibility (xabbuh)
 * bug #36340 [Serializer] Fix configuration of the cache key (dunglas)
 * bug #36810 [Messenger] Do not stack retry stamp (jderusse)
 * bug #37849 [FrameworkBundle] Add missing mailer transports in xsd (l-vo)
 * bug #37586 [ErrorHandler][DebugClassLoader] Add mixed and static return types support (fancyweb)
 * bug #37845 [Serializer] Fix variadic support when using type hints (fabpot)
 * bug #37841 [VarDumper] Backport handler lock when using VAR_DUMPER_FORMAT (ogizanagi)
 * bug #37725 [Form] Fix Guess phpdoc return type (franmomu)
 * bug #37771 Use PHPUnit 9.3 on php 8 (derrabus)
 * bug #36140 [Validator] Add BC layer for notInRangeMessage when min and max are set (l-vo)
 * bug #35843 [Validator] Add target guards for Composite nested constraints (ogizanagi)
 * bug #37803 Fix for issue #37681 (Rav)
 * bug #37744 [Yaml] Fix for #36624; Allow PHP constant as first key in block (jnye)
 * bug #37767 [Form] fix mapping errors from unmapped forms (xabbuh)
 * bug #37731 [Console] Table: support cells with newlines after a cell with colspan >= 2 (GMTA)
 * bug #37791 Fix redis connect with empty password (alexander-schranz)
 * bug #37790 Fix deprecated libxml_disable_entity_loader (fabpot)
 * bug #37763 Fix deprecated libxml_disable_entity_loader (jderusse)
 * bug #37774 [Console] Make sure we pass a numeric array of arguments to call_user_func_array() (derrabus)
 * bug #37729 [FrameworkBundle] fail properly when the required service is not defined (xabbuh)
 * bug #37701 [Serializer] Fix that it will never reach DOMNode (TNAJanssen)
 * bug #37671 [Cache] fix saving no-expiry items with ArrayAdapter (philipp-kolesnikov)
 * bug #37102 [WebProfilerBundle] Fix error with custom function and web profiler routing tab (JakeFr)
 * bug #37560 [Finder] Fix GitIgnore parser when dealing with (sub)directories and take order of lines into account (Jeroeny)
 * bug #37700 [VarDumper] Improve previous fix on light array coloration (l-vo)
 * bug #37705 [Mailer] Added the missing reset tag to mailer.logger_message_listener (vudaltsov)
 * bug #37697 [Messenger] reduce column length for MySQL 5.6 compatibility (xabbuh)

* 4.4.11 (2020-07-24)

 * bug #37590 Allows RedisClusterProxy instance in Lock RedisStore (jderusse)
 * bug #37583 [Mime] Fix EmailHeaderSame to make use of decoded value (evertharmeling)
 * bug #37569 [Messenger] Allow same middleware to be used multiple times with different arguments (HypeMC)
 * bug #37624 [Cache] Connect to RedisCluster with password auth (mforbak)
 * bug #37635 [Cache] fix catching auth errors (nicolas-grekas)
 * bug #37628 [Serializer] Support multiple levels of discriminator mapping (jeroennoten)
 * bug #37572 [FrameworkBundle] set default session.handler alias if handler_id is not provided (Youssef BENHSSAIEN)
 * bug #37607 Fix checks for phpunit releases on Composer 2 (colinodell)
 * bug #37594 Use hexadecimal numerals instead of hexadecimals in strings to repres… (arekzb)
 * bug #37576 [WebProfilerBundle] modified url generation to use absolute urls (smatyas)
 * bug #36888 [Mailer] Fix mandrill raw http request setting from email/name (JohJohan)
 * bug #37527 [Mailer] Fix reply-to functionality in the SendgridApiTransport (jt2k)
 * bug #37581 [Mime] Fix compat with HTTP requests (fabpot)
 * bug #37580 [Mime] Keep Sender full address when used by non-SMTP transports (fabpot)
 * bug #37511 [DependencyInjection][Config] Use several placeholder unique prefixes for dynamic placeholder values (fancyweb)
 * bug #37562 [Cache] Use the default expiry when saving (not when creating) items (philipp-kolesnikov)
 * bug #37563 Fix DBAL deprecation (nicolas-grekas)
 * bug #37521 [Form] Fix ChoiceType translation domain (VincentLanglet)
 * bug #37550 [OptionsResolver] Fix force prepend normalizer (hason)
 * bug #37520 [Form] silently ignore uninitialized properties when mapping data to forms (ph-fritsche)
 * bug #37526 [Cache][Config] ensure compatibility with PHP 8 stack traces (xabbuh)
 * bug #37513 [PhpUnitBridge] ExcludeList usage for PHPUnit 9.4 (gennadigennadigennadi)
 * bug #37461 [Process] Fix Permission Denied error when writing sf_proc_00 lock files on Windows (JasonStephensTAMU)
 * bug #37505 [Form] fix handling null as empty data (xabbuh)
 * bug #37385 [Console] Fixes question input encoding on Windows (YaFou)
 * bug #37491 [HttpClient] Fix promise behavior in HttplugClient (brentybh)
 * bug #37469 [Console] always use stty when possible to ask hidden questions (nicolas-grekas)
 * bug #37486 [HttpClient] fix parsing response headers in CurlResponse (nicolas-grekas)
 * bug #37484 [HttpClient][CurlHttpClient] Fix http_version option usage (fancyweb)
 * bug #37447 [Validator] fix validating lazy properties that evaluate to null (xabbuh)
 * bug #37464 [ErrorHandler] fix throwing from __toString() (nicolas-grekas)
 * bug #37449 [Translation] Fix caching of parent locales file in translator (jvasseur)
 * bug #37418 [PhpUnitBridge] Fix compatibility with phpunit 9.3 (Gennadi Janzen)
 * bug #37441 [DoctrineBridge] work around Connection::ping() deprecation (nicolas-grekas)
 * bug #37291 [MimeType] Duplicated MimeType due to PHP Bug (juanmrad)
 * bug #37429 [DI] fix parsing of argument type=binary in xml (Tobion)
 * bug #37425 [Form] fix guessing form types for DateTime types (xabbuh)
 * bug #37392 [Validator] fix handling typed properties as constraint options (xabbuh)
 * bug #37358 Directly use the driverConnection executeUpdate method (TristanPouliquen)
 * bug #37389 [HttpFondation] Change file extension of "audio/mpeg" from "mpga" to "mp3" (YaFou)
 * bug #37379 [HttpClient] Support for cURL handler objects (derrabus)
 * bug #37383 [VarDumper] Support for cURL handler objects (derrabus)
 * bug #37395 add .body wrapper element (Nemo64)
 * bug #37400 [HttpClient] unset activity list when creating CurlResponse (nicolas-grekas)
 * bug #36304 Check whether path is file in DataPart::fromPath() (freiondrej)
 * bug #37345 [Form] collect all transformation failures (xabbuh)
 * bug #37362 [SecurityBundle] Drop cache.security_expression_language service if invalid (chalasr)
 * bug #37353 [DI] disable preload.php on the CLI (nicolas-grekas)
 * bug #37268 [Messenger] Fix precedence of DSN options for 4.4 (jderusse)
 * bug #37341  Fix support for PHP8 union types (nicolas-grekas)
 * bug #37271 [FrameworkBundle] preserve dots in query-string when redirecting (nicolas-grekas)
 * bug #37340  Fix support for PHP8 union types (nicolas-grekas)
 * bug #37275 [DI] tighten detection of local dirs to prevent false positives (nicolas-grekas)
 * bug #37090 [PhpUnitBridge] Streamline ansi/no-ansi of composer according to phpunit --colors option (kick-the-bucket)
 * bug #36230 [VarDumper] Fix CliDumper coloration on light arrays (l-vo)
 * bug #37270 [FrameworkBundle] preserve dots in query-string when redirecting (nicolas-grekas)
 * bug #37319 [HttpClient] Convert CurlHttpClient::handlePush() to instance method (mpesari)
 * bug #37342 [Cache] fix compat with DBAL v3 (nicolas-grekas)
 * bug #37286 [Console] Reset question validator attempts only for actual stdin (bis) (nicolas-grekas)
 * bug #37160 Reset question validator attempts only for actual stdin (ostrolucky)
 * bug #36975 [PropertyInfo] Make PhpDocExtractor compatible with phpDocumentor v5 (DerManoMann)

* 4.4.10 (2020-06-12)

 * bug #37227 [DependencyInjection][CheckTypeDeclarationsPass] Handle unresolved parameters pointing to environment variables (fancyweb)
 * bug #37103 [Form] switch the context when validating nested forms (xabbuh)
 * bug #37182 [HttpKernel] Fix regression where Store does not return response body correctly (mpdude)
 * bug #37193 [DependencyInjection][CheckTypeDeclarationsPass] Always resolve parameters (fancyweb)
 * bug #37191 [HttpClient] fix offset computation for data chunks (nicolas-grekas)
 * bug #37177 [Ldap] fix refreshUser() ignoring extra_fields (arkste)
 * bug #37181 [Mailer] Remove an internal annot (fabpot)
 * bug #36913 [FrameworkBundle] fix type annotation on ControllerTrait::addFlash() (ThomasLandauer)
 * bug #37162 [Mailer] added the reply-to addresses to the API SES transport request. (ribeiropaulor)
 * bug #37167 [Mime] use fromString when creating a new Address (fabpot)
 * bug #37169 [Cache] fix forward compatibility with Doctrine DBAL 3 (xabbuh)
 * bug #37159 [Mailer] Fixed generator bug when creating multiple transports using Transport::fromDsn (atailouloute)
 * bug #37048 [HttpClient] fix monitoring timeouts when other streams are active (nicolas-grekas)
 * bug #37085 [Form] properly cascade validation to child forms (xabbuh)
 * bug #37095 [PhpUnitBridge] Fix undefined index when output of "composer show" cannot be parsed (nicolas-grekas)
 * bug #37092 [PhpUnitBridge] fix undefined var on version 3.4 (nicolas-grekas)
 * bug #37065 [HttpClient] Throw JsonException instead of TransportException on empty response in Response::toArray() (jeroennoten)
 * bug #37077 [WebProfilerBundle] Move ajax clear event listener initialization on loadToolbar (Bruno BOUTAREL)
 * bug #37049 [Serializer] take into account the context when preserving empty array objects (xabbuh)

* 4.4.9 (2020-05-31)

 * bug #37008 [Security] Fixed AbstractToken::hasUserChanged() (wouterj)
 * bug #36894 [Validator] never directly validate Existence (Required/Optional) constraints (xabbuh)
 * bug #37007 [Console] Fix QuestionHelper::disableStty() (chalasr)
 * bug #36865 [Form] validate subforms in all validation groups (xabbuh)
 * bug #36907 Fixes sprintf(): Too few arguments in form transformer (pedrocasado)
 * bug #36868 [Validator] Use Mime component to determine mime type for file validator (pierredup)
 * bug #37000 Add meaningful message when using ProcessHelper and Process is not installed (l-vo)
 * bug #36995 [TwigBridge] fix fallback html-to-txt body converter (nicolas-grekas)
 * bug #36993 [ErrorHandler] fix setting $trace to null in FatalError (nicolas-grekas)
 * bug #36987 Handle fetch mode deprecation of DBAL 2.11. (derrabus)
 * bug #36974 [Security] Fixed handling of CSRF logout error (wouterj)
 * bug #36947 [Mime] Allow email message to have "To", "Cc", or "Bcc" header to be valid (Ernest Hymel)
 * bug #36914 Parse and render anonymous classes correctly on php 8 (derrabus)
 * bug #36921 [OptionsResolver][Serializer] Remove calls to deprecated ReflectionParameter::getClass() (derrabus)
 * bug #36920 [VarDumper] fix PHP 8 support (nicolas-grekas)
 * bug #36917 [Cache] Accessing undefined constants raises an Error in php8 (derrabus)
 * bug #36891 Address deprecation of ReflectionType::getClass() (derrabus)
 * bug #36899 [VarDumper] ReflectionFunction::isDisabled() is deprecated (derrabus)
 * bug #36905 [Validator] Catch expected ValueError (derrabus)
 * bug #36915 [DomCrawler] Catch expected ValueError (derrabus)
 * bug #36908 [Cache][HttpClient] Made method signatures compatible with their corresponding traits (derrabus)
 * bug #36906 [DomCrawler] Catch expected ValueError (derrabus)
 * bug #36904 [PropertyAccess] Parse php 8 TypeErrors correctly (derrabus)
 * bug #36839 [BrowserKit] Raw body with custom Content-Type header (azhurb)
 * bug #36896 [Config] Removed implicit cast of ReflectionProperty to string (derrabus)
 * bug #35944 [Security/Core] Fix wrong roles comparison (thlbaut)
 * bug #36882 [PhpUnitBridge] fix installing under PHP >= 8 (nicolas-grekas)
 * bug #36833 [HttpKernel] Fix that the `Store` would not save responses with the X-Content-Digest header present (mpdude)
 * bug #36867 [PhpUnitBridge] fix bad detection of unsilenced deprecations (nicolas-grekas)
 * bug #36862 [Security] Unserialize $parentData, if needed, to avoid errors (rfaivre)
 * bug #36855 [HttpKernel] Fix error logger when stderr is redirected to /dev/null (fabpot)
 * bug #36838 [HttpKernel] Bring back the debug toolbar (derrabus)
 * bug #36592 [BrowserKit] Allow Referer set by history to be overridden (Slamdunk)
 * bug #36823 [HttpClient] fix PHP warning + accept status code >= 600 (nicolas-grekas)
 * bug #36824 [Security/Core] fix compat of `NativePasswordEncoder` with pre-PHP74 values of `PASSWORD_*` consts (nicolas-grekas)
 * bug #36811 [DependencyInjection] Fix register event listeners compiler pass (X-Coder264)
 * bug #36789 Change priority of KernelEvents::RESPONSE subscriber (marcw)
 * bug #36794 [Serializer] fix issue with PHP 8 (nicolas-grekas)
 * bug #36786 [WebProfiler] Remove 'none' when appending CSP tokens (ndench)
 * bug #36743 [Yaml] Fix escaped quotes in quoted multi-line string (ossinkine)
 * bug #36777 [TwigBundle] FormExtension does not have a constructor anymore since sf 4.0 (Tobion)
 * bug #36716 [Mime] handle passing custom mime types as string (mcneely)
 * bug #36747 Queue name is a required parameter (theravel)
 * bug #36751 [Mime] fix bad method call on `EmailAddressContains` (Kocal)
 * bug #36696 [Console] don't check tty on stdin, it breaks with "data lost during stream conversion" (nicolas-grekas)
 * bug #36569 [PhpUnitBridge] Mark parent class also covered in CoverageListener (lyrixx)
 * bug #36690 [Yaml] prevent notice for invalid octal numbers on PHP 7.4 (xabbuh)
 * bug #36590 [Console] Default hidden question to 1 attempt for non-tty session (ostrolucky)
 * bug #36497 [Filesystem] Handle paths on different drives (crishoj)
 * bug #36678 [WebProfiler] Do not add src-elem CSP directives if they do not exist (ndench)
 * bug #36501 [DX] Show the ParseException message in all YAML file loaders (fancyweb)
 * bug #36683 [Yaml] fix parse error when unindented collections contain a comment (wdiesveld)
 * bug #36672 [Validator] Skip validation when email is an empty object (acrobat)
 * bug #36673 [PhpUnitBridge] fix PHP 5.3 compat again (nicolas-grekas)
 * bug #36505 [Translation] Fix for translation:update command updating ICU messages (artemoliynyk)
 * bug #36627 [Validator] fix lazy property usage. (bendavies)
 * bug #36601 [Serializer] do not transform empty \Traversable to Array (soyuka)
 * bug #36606 [Cache] Fixed not supported Redis eviction policies (SerheyDolgushev)
 * bug #36625 [PhpUnitBridge] fix compat with PHP 5.3 (nicolas-grekas)

* 4.4.8 (2020-04-28)

 * bug #36536 [Cache] Allow invalidateTags calls to be traced by data collector (l-vo)
 * bug #36566 [PhpUnitBridge] Use COMPOSER_BINARY env var if available (fancyweb)
 * bug #36560 [YAML] escape DEL(\x7f) (sdkawata)
 * bug #36539 [PhpUnitBridge] fix compatibility with phpunit 9 (garak)
 * bug #36555 [Cache] skip APCu in chains when the backend is disabled (nicolas-grekas)
 * bug #36523 [Form] apply automatically step=1 for datetime-local input (ottaviano)
 * bug #36519 [FrameworkBundle] debug:autowiring: Fix wrong display when using class_alias (weaverryan)
 * bug #36454 [DependencyInjection][ServiceSubscriber] Support late aliases (fancyweb)
 * bug #36498 [Security/Core] fix escape for username in LdapBindAuthenticationProvider.php (stoccc)
 * bug #36506 [FrameworkBundle] Fix session.attribute_bag service definition (fancyweb)
 * bug #36500 [Routing][PrefixTrait] Add the _locale requirement (fancyweb)
 * bug #36457 [Cache] CacheItem with tag is never a hit after expired (alexander-schranz, nicolas-grekas)
 * bug #36490 [HttpFoundation] workaround PHP bug in the session module (nicolas-grekas)
 * bug #36483 [SecurityBundle] fix accepting env vars in remember-me configurations (zek)
 * bug #36343 [Form] Fixed handling groups sequence validation (HeahDude)
 * bug #36460 [Cache] Avoid memory leak in TraceableAdapter::reset() (lyrixx)
 * bug #36467 Mailer from sender fixes (fabpot)
 * bug #36408 [PhpUnitBridge] add PolyfillTestCaseTrait::expectExceptionMessageMatches to provide FC with recent phpunit versions (soyuka)
 * bug #36447 Remove return type for Twig function workflow_metadata() (gisostallenberg)
 * bug #36449 [Messenger] Make sure redis transports are initialized correctly (Seldaek)
 * bug #36411 [Form] RepeatedType should always have inner types mapped (biozshock)
 * bug #36441 [DI] fix loading defaults when using the PHP-DSL (nicolas-grekas)
 * bug #36434 [HttpKernel] silence E_NOTICE triggered since PHP 7.4 (xabbuh)
 * bug #36365 [Validator] Fixed default group for nested composite constraints (HeahDude)
 * bug #36422 [HttpClient] fix HTTP/2 support on non-SSL connections - CurlHttpClient only (nicolas-grekas)
 * bug #36417 Force ping after transport exception (oesteve)
 * bug #35591 [Validator] do not merge constraints within interfaces (greedyivan)
 * bug #36377 [HttpClient] Fix scoped client without query option configuration (X-Coder264)
 * bug #36387 [DI] fix detecting short service syntax in yaml (nicolas-grekas)
 * bug #36392 [DI] add missing property declarations in InlineServiceConfigurator (nicolas-grekas)
 * bug #36400 Allowing empty secrets to be set (weaverryan)
 * bug #36380 [Process] Fixed input/output error on PHP 7.4 (mbardelmeijer)
 * bug #36376 [Workflow] Use a strict comparison when retrieving raw marking in MarkingStore (lyrixx)
 * bug #36375 [Workflow] Use a strict comparison when retrieving raw marking in MarkingStore (lyrixx)
 * bug #36305 [PropertyInfo][ReflectionExtractor] Check the array mutator prefixes last when the property is singular (fancyweb)
 * bug #35656 [HttpFoundation] Fixed session migration with custom cookie lifetime (Guite)
 * bug #36342 [HttpKernel][FrameworkBundle] fix compat with Debug component (nicolas-grekas)
 * bug #36315 [WebProfilerBundle] Support for Content Security Policy style-src-elem and script-src-elem in WebProfiler (ampaze)
 * bug #36286 [Validator] Allow URL-encoded special characters in basic auth part of URLs (cweiske)
 * bug #36335 [Security] Track session usage whenever a new token is set (wouterj)
 * bug #36332 [Serializer] Fix unitialized properties (from PHP 7.4.2) when serializing context for the cache key (alanpoulain)
 * bug #36337 [MonologBridge] Fix $level type (fancyweb)
 * bug #36223 [Security][Http][SwitchUserListener] Ignore all non existent username protection errors (fancyweb)
 * bug #36239 [HttpKernel][LoggerDataCollector] Prevent keys collisions in the sanitized logs processing (fancyweb)
 * bug #36245 [Validator] Fixed calling getters before resolving groups (HeahDude)
 * bug #36265 Fix the reporting of deprecations in twig:lint (stof)
 * bug #36283 [Security] forward multiple attributes voting flag (xabbuh)

* 4.4.7 (2020-03-30)

 * security #cve-2020-5255 [HttpFoundation] Do not set the default Content-Type based on the Accept header (yceruto)
 * security #cve-2020-5275 [Security] Fix access_control behavior with unanimous decision strategy (chalasr)
 * bug #36262 [DI] fix generating TypedReference from PriorityTaggedServiceTrait (nicolas-grekas)
 * bug #36252 [Security/Http] Allow setting cookie security settings for delete_cookies (wouterj)
 * bug #36261 [FrameworkBundle] revert to legacy wiring of the session when circular refs are detected (nicolas-grekas)
 * bug #36259 [DomCrawler] Fix BC break in assertions breaking Panther (dunglas)
 * bug #36181 [BrowserKit] fixed missing post request parameters in file uploads (codebay)
 * bug #36216 [Validator] Assert Valid with many groups (phucwan91)
 * bug #36222 [Console] Fix OutputStream for PHP 7.4 (guillbdx)

* 4.4.6 (2020-03-27)

 * bug #36169 [HttpKernel] fix locking for PHP 7.4+ (nicolas-grekas)
 * bug #36175 [Security/Http] Remember me: allow to set the samesite cookie flag (dunglas)
 * bug #36173 [Http Foundation] Fix clear cookie samesite (guillbdx)
 * bug #36176 [Security] Check if firewall is stateless before checking for session/previous session (koenreiniers)
 * bug #36149 [Form] Support customized intl php.ini settings (jorrit)
 * bug #36172 [Debug] fix for PHP 7.3.16+/7.4.4+ (nicolas-grekas)
 * bug #36151 [Security] Fixed hardcoded value of SODIUM_CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE (lyrixx)
 * bug #36141 Prevent warning in proc_open() (BenMorel)
 * bug #36143 [FrameworkBundle] Fix Router Cache (guillbdx)
 * bug #36103 [DI] fix preloading script generation (nicolas-grekas)
 * bug #36118 [Security/Http] don't require the session to be started when tracking its id (nicolas-grekas)
 * bug #36108 [DI] Fix CheckTypeDeclarationPass (guillbdx)
 * bug #36121 [VarDumper] fix side-effect by not using mt_rand() (nicolas-grekas)
 * bug #36073 [PropertyAccess][DX] Improved errors when reading uninitialized properties (HeahDude)
 * bug #36063 [FrameworkBundle] start session on flashbag injection (William Arslett)
 * bug #36031 [Console] Fallback to default answers when unable to read input (ostrolucky)
 * bug #36083 [DI][Form] Fixed test suite (TimeType changes & unresolved merge conflict) (wouterj)
 * bug #36026 [Mime] Fix boundary header (guillbdx)
 * bug #36020 [Form] ignore microseconds submitted by Edge (xabbuh)
 * bug #36038 [HttpClient] disable debug log with curl 7.64.0 (nicolas-grekas)
 * bug #36041 fix import from config file using type: glob (Tobion)
 * bug #35987 [DoctrineBridge][DoctrineExtractor] Fix wrong guessed type for "json" type (fancyweb)
 * bug #35949 [DI] Fix container lint command when a synthetic service is used in an expression (HypeMC)
 * bug #36023 [HttpClient] fix requests to hosts that idn_to_ascii() cannot handle (nicolas-grekas)
 * bug #35938 [Form] Handle false as empty value on expanded choices (fancyweb)
 * bug #36030 [SecurityBundle] Minor fix in LDAP config tree builder (HeahDude)
 * bug #35993 Remove int return type from FlattenException::getCode (wucdbm)
 * bug #36004 [Yaml] fix dumping strings containing CRs (xabbuh)
 * bug #35982 [DI] Fix XmlFileLoader bad error message (przemyslaw-bogusz)
 * bug #35957 [DI] ignore extra tags added by autoconfiguration in PriorityTaggedServiceTrait (nicolas-grekas)
 * bug #35937 Revert "bug symfony#28179 [DomCrawler] Skip disabled fields processing in Form" (dmaicher)
 * bug #35928 [Routing] Prevent localized routes _locale default & requirement from being overridden (fancyweb)
 * bug #35912 [FrameworkBundle] register only existing transport factories (xabbuh)
 * bug #35899 [DomCrawler] prevent deprecation being triggered from assertion (xabbuh)
 * bug #35910 [SecurityBundle] Minor fixes in configuration tree builder (HeahDude)

* 4.4.5 (2020-02-29)

 * bug #35781 [Form] NumberToLocalizedStringTransformer return int if scale = 0 (VincentLanglet)
 * bug #35846 [Serializer] prevent method calls on null values (xabbuh)
 * bug #35897 [FrameworkBundle] add missing Messenger options to XML schema definition (xabbuh)
 * bug #35870 [ErrorHandler] fix parsing static return type on interface method annotation (alekitto)
 * bug #35839 [Security] Allow switching to another user when already switched (chalasr)
 * bug #35851 [DoctrineBridge] Use new Types::* constants and support new json types (fancyweb)
 * bug #35716 [PhpUnitBridge] Fix compatibility to PHPUnit 9 (Benjamin)
 * bug #35803 [Cache] Fix versioned namespace atomic clears (trvrnrth)
 * bug #35817 [DoctrineBridge] Use new Types::* constants and support new json type (fancyweb)
 * bug #35832 [Debug][ErrorHandler] improved deprecation notices for methods new args and return type (HeahDude)
 * bug #35827 [BrowserKit] Nested file array prevents uploading file (afilina)
 * bug #35707 [ExpressionLanguage] Fixed collisions of character operators with object properties (Andrej-in-ua)
 * bug #35794 [DoctrineBridge][DoctrineExtractor] Fix indexBy with custom and some core types (fancyweb)
 * bug #35787 [PhpUnitBridge] Use trait instead of extending deprecated class (marcello-moenkemeyer)
 * bug #35792 [Security] Prevent TypeError in case RememberMetoken has no attached user (nikophil)
 * bug #35735 [Routing] Add locale requirement for localized routes (mtarld)
 * bug #35772 [Config] don't throw on missing excluded paths (nicolas-grekas)
 * bug #35774 [Ldap] force default network timeout (nicolas-grekas)
 * bug #35702 [VarDumper] fixed DateCaster not displaying additional fields (Makdessi Alex)
 * bug #35722 [HttpKernel] Set previous exception when rethrown from controller resolver (danut007ro)
 * bug #35714 [HttpClient] Correctly remove trace level options for HttpCache (aschempp)
 * bug #35718 [HttpKernel] fix registering DebugHandlersListener regardless of the PHP_SAPI (nicolas-grekas)
 * bug #35728 Add missing autoload calls (greg0ire)
 * bug #35693 [Finder] Fix unix root dir issue (chr-hertel)
 * bug #35709 [HttpFoundation] fix not sending Content-Type header for 204 responses (Tobion)
 * bug #35710 [ErrorHandler] silence warning when zend.assertions=-1 (nicolas-grekas)
 * bug #35676 [Console] Handle zero row count in appendRow() for Table (Adam Prickett)
 * bug #35696 [Console] Don't load same-namespace alternatives on exact match (chalasr)
 * bug #35674 [HttpClient] fix getting response content after its destructor throwed an HttpExceptionInterface (nicolas-grekas)
 * bug #35672 [HttpClient] fix HttpClientDataCollector when handling canceled responses (thematchless)
 * bug #35641 [Process] throw when PhpProcess::fromShellCommandLine() is used (Guikingone)
 * bug #35645 [ErrorHandler] Never throw on warnings triggered by assert() and set assert.exception=1 in Debug::enable() (nicolas-grekas)
 * bug #35633 [Mailer] Do not ping the SMTP server before sending every message (micheh)
 * bug #33897 [Console] Consider STDIN interactive (ostrolucky)
 * bug #35605 [HttpFoundation][FrameworkBundle] fix support for samesite in session cookies (fabpot)
 * bug #35609 [DoctrineBridge] Fixed submitting ids with query limit or offset (HeahDude)
 * bug #35597 [PHPunit bridge] Provide current file as file path (greg0ire)
 * bug #33960 [DI] Unknown env prefix not recognized as such (ro0NL)
 * bug #35342 [DI] Fix support for multiple tags for locators and iterators (Alexandre Parent)
 * bug #33820 [PhpUnitBridge] Fix some errors when using serialized deprecations (l-vo)
 * bug #35553 Fix HTTP client config handling (julienfalque)
 * bug #35588 [ErrorHandler] Escape variable in Exception template (jderusse)
 * bug #35583 Add missing use statements (fabpot)
 * bug #35582 Missing use statement 4.4 (fabpot)
 * bug #34123 [Form] Fix handling of empty_data's \Closure value in Date/Time form types (yceruto)
 * bug #35537 [Config][XmlReferenceDumper] Prevent potential \TypeError (fancyweb)
 * bug #35227 [Mailer] Fix broken mandrill http send for recipients with names (vilius-g)
 * bug #35430 [Translation] prefer intl domain when adding messages to catalogue (Guite)
 * bug #35497 Fail on empty password verification (without warning on any implementation) (Stefan Kruppa)
 * bug #35546 [Validator] check for __get method existence if property is uninitialized (alekitto)
 * bug #35332 [Yaml][Inline] Fail properly on empty object tag and empty const tag (fancyweb)
 * bug #35489 [PhpUnitBridge] Fix running skipped tests expecting only deprecations (chalasr)
 * bug #35161 [FrameworkBundle] Check non-null type for numeric type (Arman-Hosseini)
 * bug #34059 [DomCrawler] Skip disabled fields processing in Form (sbogx)
 * bug #34114 [Console] SymonfyStyle - Check value isset to avoid PHP notice (leevigraham)
 * bug #35557 [Config] dont catch instances of Error (nicolas-grekas)
 * bug #35562 [HttpClient] fix HttpClientDataCollector when handling canceled responses (nicolas-grekas)

* 4.4.4 (2020-01-31)

 * bug #35530 [HttpClient] Fix regex bearer (noniagriconomie)
 * bug #35532 [Validator] fix access to uninitialized property when getting value (greedyivan)
 * bug #35486 [Translator] Default value for 'sort' option in translation:update should be 'asc' (versgui)
 * bug #35305 [HttpKernel] Fix stale-if-error behavior, add tests (mpdude)
 * bug #34808 [PhpUnitBridge] Properly handle phpunit arguments for configuration file (biozshock)
 * bug #35517 [Intl] Provide more locale translations (ro0NL)
 * bug #35518 [Mailer] Fix STARTTLS support for Postmark and Mandrill (fabpot)
 * bug #35480 [Messenger] Check for all serialization exceptions during message dec… (Patrick Berenschot)
 * bug #35502 [Messenger] Fix bug when using single route with XML config (Nyholm)
 * bug #35438 [SecurityBundle] fix ldap_bind service arguments (Ioni14)
 * bug #35429 [DI]  CheckTypeDeclarationsPass now checks if value is type of parameter type  (pfazzi)
 * bug #35464 [ErrorHandler] Add debug argument to decide whether debug page is shown or not (yceruto)
 * bug #35423 Fixes a runtime error when accessing the cache panel (DamienHarper)
 * bug #35428 [Cache] fix checking for igbinary availability (nicolas-grekas)
 * bug #35424 [HttpKernel] Check if lock can be released (sjadema)

* 4.4.3 (2020-01-21)

 * bug #35364 [Yaml] Throw on unquoted exclamation mark (fancyweb)
 * bug #35065 [Security] Use supportsClass in addition to UnsupportedUserException (linaori)
 * bug #35351 Revert #34797 "Fixed translations file dumper behavior" and fix #34713 (yceruto)
 * bug #35355 [DI] Fix EnvVar not loaded when Loader requires an env var (jderusse)
 * bug #35343 [Security] Fix RememberMe with null password (jderusse)
 * bug #34223 [DI] Suggest typed argument when binding fails with untyped argument (gudfar)
 * bug #35323 [FrameworkBundle] Set booted flag to false when test kernel is unset (thiagocordeiro)
 * bug #35324 [HttpClient] Fix strict parsing of response status codes (Armando-Walmeric)
 * bug #35318 [Yaml] fix PHP const mapping keys using the inline notation (xabbuh)
 * bug #35306 [FrameworkBundle] Make sure one can use fragments.hinclude_default_template (Nyholm)
 * bug #35304 [HttpKernel] Fix that no-cache MUST revalidate with the origin (mpdude)
 * bug #35299 Avoid `stale-if-error` in FrameworkBundle's HttpCache if kernel.debug = true (mpdude)
 * bug #35240 [SecurityBundle] Fix collecting traceable listeners info on lazy firewalls (chalasr)
 * bug #35151 [DI] deferred exceptions in ResolveParameterPlaceHoldersPass (Islam93)
 * bug #35290 [Filesystem][FilesystemCommonTrait] Use a dedicated directory when there are no namespace (fancyweb)
 * bug #35099 [FrameworkBundle] Do not throw exception on value generate key (jderusse)
 * bug #35278 [EventDispatcher] expand listener in place (xabbuh)
 * bug #35269 [HttpKernel][FileLocator] Fix deprecation message (fancyweb)
 * bug #35254 [PHPUnit-Bridge] Fail-fast in simple-phpunit if one of the passthru() commands fails (mpdude)
 * bug #35261 [Routing] Fix using a custom matcher & generator dumper class (fancyweb)
 * bug #34643 [Dotenv] Fixed infinite loop with missing quote followed by quoted value (naitsirch)
 * bug #35239 [Security\Http] Prevent canceled remember-me cookie from being accepted (chalasr)
 * bug #35267 [Debug] fix ClassNotFoundFatalErrorHandler (nicolas-grekas)
 * bug #35252 [Serializer] Fix cache in MetadataAwareNameConverter (bastnic)
 * bug #35200 [TwigBridge] do not render preferred choices as selected (xabbuh)
 * bug #35243 [HttpKernel] release lock explicitly (nicolas-grekas)
 * bug #35193 [TwigBridge] button_widget now has its title attr translated even if its label = null or false (stephen-lewis)
 * bug #35219 [PhpUnitBridge] When using phpenv + phpenv-composer plugin, composer executable is wrapped into a bash script (oleg-andreyev)
 * bug #35150 [Messenger] Added check if json_encode succeeded (toooni)
 * bug #35137 [Messenger] Added check if json_encode succeeded (toooni)
 * bug #35170 [FrameworkBundle][TranslationUpdateCommand] Do not output positive feedback on stderr (fancyweb)
 * bug #35245 [HttpClient] fix exception in case of PSR17 discovery failure (nicolas-grekas)
 * bug #35244 [Cache] fix processing chain adapter based cache pool (xabbuh)
 * bug #35247 [FrameworkBundle][ContainerLintCommand] Only skip .errored. services (fancyweb)
 * bug #35225 [DependencyInjection] Handle ServiceClosureArgument for callable in container linting (shieldo)
 * bug #35223 [HttpClient] Don't read from the network faster than the CPU can deal with (nicolas-grekas)
 * bug #35214 [DI] DecoratorServicePass should keep container.service_locator on the decorated definition (malarzm)
 * bug #35209 [HttpClient] fix support for non-blocking resource streams (nicolas-grekas)
 * bug #35210 [HttpClient] NativeHttpClient should not send >1.1 protocol version (nicolas-grekas)
 * bug #35162 [Mailer] Make sure you can pass custom headers to Mailgun (Nyholm)
 * bug #33672 [Mailer] Remove line breaks in email attachment content (Stuart Fyfe)
 * bug #35101 [Routing] Fix i18n routing when the url contains the locale (fancyweb)
 * bug #35124 [TwigBridge][Form] Added missing help messages in form themes (cmen)
 * bug #35195 [HttpClient] fix casting responses to PHP streams (nicolas-grekas)
 * bug #35168 [HttpClient] fix capturing SSL certificates with NativeHttpClient (nicolas-grekas)
 * bug #35134 [PropertyInfo] Fix BC issue in phpDoc Reflection library (jaapio)
 * bug #35184  [Mailer] Payload sent to Sendgrid doesn't include names (versgui)
 * bug #35173 [Mailer][MailchimpBridge] Fix missing attachments when sending via Mandrill API (vilius-g)
 * bug #35172 [Mailer][MailchimpBridge] Fix incorrect sender address when sender has name (vilius-g)
 * bug #35125 [Translator] fix performance issue in MessageCatalogue and catalogue operations (ArtemBrovko)
 * bug #35120 [HttpClient] fix scheduling pending NativeResponse (nicolas-grekas)
 * bug #35117 [Cache] do not overwrite variable value (xabbuh)
 * bug #35113 [VarDumper] Fix "Undefined index: argv" when using CliContextProvider (xepozz)
 * bug #34673 Migrate server:log command away from WebServerBundle (jderusse)
 * bug #35103 [Translation] Use `locale_parse` for computing fallback locales (alanpoulain)
 * bug #35060 [Security] Fix missing defaults for auto-migrating encoders (chalasr)
 * bug #35067 [DependencyInjection][CheckTypeDeclarationsPass] Handle \Closure for callable (fancyweb)
 * bug #35094 [Console] Fix filtering out identical alternatives when there is a command loader (fancyweb)

* 4.4.2 (2019-12-19)

 * bug #35051 [DependencyInjection] Fix binding tagged services to containers (nicolas-grekas)
 * bug #35039 [DI] skip looking for config class when the extension class is anonymous (nicolas-grekas)
 * bug #35049 [ProxyManager] fix generating proxies for root-namespaced classes (nicolas-grekas)
 * bug #35022 [Dotenv] FIX missing getenv (mccullagh)
 * bug #35023 [HttpKernel] ignore failures generated by opcache.restrict_api (nicolas-grekas)
 * bug #35024 [HttpFoundation] fix pdo session handler for sqlsrv (azjezz)
 * bug #35025 [HttpClient][Psr18Client] Remove Psr18ExceptionTrait (fancyweb)
 * bug #35015 [Config] fix perf of glob discovery when GLOB_BRACE is not available (nicolas-grekas)
 * bug #35014 [HttpClient] make pushed responses retry-able (nicolas-grekas)
 * bug #35010 [VarDumper] ignore failing __debugInfo() (nicolas-grekas)
 * bug #34998 [DI] fix auto-binding service providers to their service subscribers (nicolas-grekas)
 * bug #34954 [Mailer] Fixed undefined index when sending via Mandrill API (wulff)
 * bug #33670 [DI] Service locators can't be decorated (malarzm)
 * bug #35000 [Console][SymfonyQuestionHelper] Handle multibytes question choices keys and custom prompt (fancyweb)
 * bug #35005 [HttpClient] force HTTP/1.1 when NTLM auth is used (nicolas-grekas)
 * bug #34707 [Validation][FrameworkBundle] Allow EnableAutoMapping to work without auto-mapping namespaces (ogizanagi)
 * bug #34996 Fix displaying anonymous classes on PHP 7.4 (nicolas-grekas)
 * bug #29839 [Validator] fix comparisons with null values at property paths (xabbuh)
 * bug #34900 [DoctrineBridge] Fixed submitting invalid ids when using queries with limit (HeahDude)
 * bug #34791 [Serializer] Skip uninitialized (PHP 7.4) properties in PropertyNormalizer and ObjectNormalizer (vudaltsov)
 * bug #34956 [Messenger][AMQP] Use delivery_mode=2 by default (lyrixx)
 * bug #34915 [FrameworkBundle] Fix invalid Windows path normalization in TemplateNameParser (mvorisek)
 * bug #34981 stop using deprecated Doctrine persistence classes (xabbuh)
 * bug #34904 [Validator][ConstraintValidator] Safe fail on invalid timezones (fancyweb)
 * bug #34935 [FrameworkBundle][DependencyInjection] Skip removed ids in the lint container command and its associated pass (fancyweb)
 * bug #34957 [Security] Revert "AbstractAuthenticationListener.php error instead info" (larzuk91)
 * bug #34922 [FrameworkBundle][Secrets] Hook configured local dotenv file (fancyweb)
 * bug #34967 [HttpFoundation] fix redis multi host dsn not recognized (Jan Christoph Beyer)
 * bug #34963 [Lock] fix constructor argument type declaration (xabbuh)
 * bug #34955 Require doctrine/persistence ^1.3 (nicolas-grekas)
 * bug #34923 [DI] Fix support for immutable setters in CallTrait (Lctrs)
 * bug #34878 [TwigBundle] fix broken FilesystemLoader::exists() with Twig 3 (dpesch)
 * bug #34921 [HttpFoundation] Removed "Content-Type" from the preferred format guessing mechanism (yceruto)
 * bug #34886 [HttpKernel] fix triggering deprecation in file locator (xabbuh)
 * bug #34918 [Translation] fix memoryleak in PhpFileLoader (nicolas-grekas)
 * bug #34920 [Routing] fix memoryleak when loading compiled routes (nicolas-grekas)
 * bug #34787 [Cache] Propagate expiry when syncing items in ChainAdapter (trvrnrth)
 * bug #34694 [Validator] Fix auto-mapping constraints should not be validated (ogizanagi)
 * bug #34848 [Process] change the syntax of portable command lines (nicolas-grekas)
 * bug #34862 [FrameworkBundle][ContainerLintCommand] Reinitialize bundles when the container is reprepared (fancyweb)
 * bug #34896 [Cache] fix memory leak when using PhpFilesAdapter (nicolas-grekas)
 * bug #34438 [HttpFoundation] Use `Cache-Control: must-revalidate` only if explicit lifetime has been given (mpdude)
 * bug #34449 [Yaml] Implement multiline string as scalar block for tagged values (natepage)
 * bug #34601 [MonologBridge] Fix debug processor datetime type (mRoca)
 * bug #34842 [ExpressionLanguage] Process division by zero (tigr1991)
 * bug #34902 [PropertyAccess] forward caught exception (xabbuh)
 * bug #34903 Fixing bad order of operations with null coalescing operator (weaverryan)
 * bug #34888 [TwigBundle] add tags before processing them (xabbuh)
 * bug #34760 [Mailer] Fix SMTP Authentication when using STARTTLS (DjLeChuck)
 * bug #34762 [Config] never try loading failed classes twice with ClassExistenceResource (nicolas-grekas)
 * bug #34783 [DependencyInjection] Handle env var placeholders in CheckTypeDeclarationsPass (fancyweb)
 * bug #34839 [Cache] fix memory leak when using PhpArrayAdapter (nicolas-grekas)
 * bug #34812 [Yaml] fix parsing negative octal numbers (xabbuh)
 * bug #34854 [Messenger] gracefully handle missing event dispatchers (xabbuh)
 * bug #34802 [Security] Check UserInterface::getPassword is not null before calling needsRehash (dbrekelmans)
 * bug #34788 [SecurityBundle] Properly escape regex in AddSessionDomainConstraintPass (fancyweb)
 * bug #34859 [SecurityBundle] Fix TokenStorage::reset not called in stateless firewall (jderusse)
 * bug #34827 [HttpFoundation] get currently session.gc_maxlifetime if ttl doesnt exists (rafaeltovar)
 * bug #34755 [FrameworkBundle] resolve service locators in `debug:*` commands (nicolas-grekas)
 * bug #34832 [Validator] Allow underscore character "_" in URL username and password (romainneutron)
 * bug #34811 [TwigBridge] Update bootstrap_4_layout.html.twig missing switch-custom label (sabruss)
 * bug #34820 [FrameworkBundle][SodiumVault] Create secrets directory only when it is used (fancyweb)
 * bug #34776 [DI] fix resolving bindings for named TypedReference (nicolas-grekas)
 * bug #34794 [DependencyInjection] Resolve expressions in CheckTypeDeclarationsPass (fancyweb)
 * bug #34797 [Translation] Fix FileDumper behavior (yceruto)
 * bug #34738 [SecurityBundle] Passwords are not encoded when algorithm set to "true" (nieuwenhuisen)
 * bug #34759 [SecurityBundle] Fix switch_user provider configuration handling (fancyweb)
 * bug #34779 [Security] do not validate passwords when the hash is null (xabbuh)
 * bug #34786 [SecurityBundle] Use config variable in AnonymousFactory (martijnboers)
 * bug #34784 [FrameworkBundle] Set the parameter bag as resolved in ContainerLintCommand (fancyweb)
 * bug #34763 [Security/Core] Fix checking for SHA256/SHA512 passwords (David Brooks)
 * bug #34757 [DI] Fix making the container path-independent when the app is in /app (nicolas-grekas)

* 4.4.1 (2019-12-01)

 * bug #34732 [DependencyInjection][Xml] Fix the attribute 'tag' is not allowed in 'bind' tag (tienvx)
 * bug #34729 [DI] auto-register singly implemented interfaces by default (nicolas-grekas)
 * bug #34728 [DI] fix overriding existing services with aliases for singly-implemented interfaces (nicolas-grekas)
 * bug #34649 more robust initialization from request (dbu)
 * bug #34715 [TwigBundle] remove service when base class is missing (xabbuh)
 * bug #34600 [DoctrineBridge] do not depend on the QueryBuilder from the ORM (xabbuh)
 * bug #34627 [Security/Http] call auth listeners/guards eagerly when they "support" the request (nicolas-grekas)
 * bug #34671 [Security] Fix clearing remember-me cookie after deauthentication (chalasr)
 * bug #34711 Fix the translation commands when a template contains a syntax error (fabpot)
 * bug #34032 [Mime] Fixing multidimensional array structure with FormDataPart (jvahldick)
 * bug #34560 [Config][ReflectionClassResource] Handle parameters with undefined constant as their default values (fancyweb)
 * bug #34695 [Config] don't break on virtual stack frames in ClassExistenceResource (nicolas-grekas)
 * bug #34716 [DependencyInjection] fix dumping number-like string parameters (xabbuh)
 * bug #34558 [Console] Fix autocomplete multibyte input support (fancyweb)
 * bug #34130 [Console] Fix commands description with numeric namespaces (fancyweb)
 * bug #34562 [DI] Skip unknown method calls for factories in check types pass (fancyweb)
 * bug #34677 [EventDispatcher] Better error reporting when arguments to dispatch() are swapped (rimas-kudelis)
 * bug #33573 [TwigBridge] Add row_attr to all form themes (fancyweb)
 * bug #34019 [Serializer] CsvEncoder::NO_HEADERS_KEY ignored when used in constructor (Dario Savella)
 * bug #34083 [Form] Keep preferred_choices order for choice groups (vilius-g)
 * bug #34091 [Debug] work around failing chdir() on Darwin (mary2501)
 * bug #34305 [PhpUnitBridge] Read configuration CLI directive (ro0NL)
 * bug #34490 [Serializer] Fix MetadataAwareNameConverter usage with string group (antograssiot)
 * bug #34632 [Console] Fix trying to access array offset on value of type int (Tavafi)
 * bug #34669 [HttpClient] turn exception into log when the request has no content-type (nicolas-grekas)
 * bug #34662 [HttpKernel] Support typehint to deprecated FlattenException in controller (andrew-demb)
 * bug #34619 Restores preview mode support for Html and Serializer error renderers (yceruto)
 * bug #34636 [VarDumper] notice on potential undefined index (sylvainmetayer)
 * bug #34668 [Cache] Make sure we get the correct number of values from redis::mget() (thePanz)
 * bug #34621 [Routing] Continue supporting single colon in object route loaders (fancyweb)
 * bug #34554 [HttpClient] Fix early cleanup of pushed HTTP/2 responses (lyrixx)
 * bug #34607 [HttpKernel] Ability to define multiple kernel.reset tags (rmikalkenas)
 * bug #34599 [Mailer][Mailchimp Bridge] Throwing undefined index _id when setting message id (monteiro)
 * bug #34569 [Workflow] Apply the same logic of precedence between the apply() and the buildTransitionBlockerList() method (lyrixx)
 * bug #34580 [HttpKernel] Don't cache "not-fresh" state (nicolas-grekas)
 * bug #34577 [FrameworkBundle][Cache] Don't deep-merge cache pools configuration (alxndrbauer)
 * bug #34515 [DependencyInjection] definitions are valid objects (xabbuh)
 * bug #34536 [SecurityBundle] Don't require a user provider for the anonymous listener (chalasr)
 * bug #34533 [Monolog Bridge] Fixed accessing static property as non static. (Sander-Toonen)
 * bug #34502 [FrameworkBundle][ContainerLint] Keep "removing" compiler passes (fancyweb)
 * bug #34552 [Dotenv] don't fail when referenced env var does not exist (xabbuh)
 * bug #34546 [Serializer] Add DateTimeZoneNormalizer into Dependency Injection (jewome62)
 * bug #34547 [Messenger] Error when specified default bus is not among the configured (vudaltsov)
 * bug #34513 [Validator] remove return type declaration from __sleep() (xabbuh)
 * bug #34551 [Security] SwitchUser is broken when the User Provider always returns a valid user (tucksaun)
 * bug #34385 Avoid empty "If-Modified-Since" header in validation request (mpdude)
 * bug #34458 [Validator] ConstraintValidatorTestCase: add missing return value to mocked validate method calls (ogizanagi)
 * bug #34516 [HttpKernel] drop return type declaration (xabbuh)
 * bug #34474 [Messenger] Ignore stamps in in-memory transport (tienvx)

* 4.4.0 (2019-11-21)

 * bug #34464 [Form] group constraints when calling the validator (nicolas-grekas)
 * bug #34451 [DependencyInjection] Fix dumping multiple deprecated aliases (shyim)
 * bug #34448 [Form] allow button names to start with uppercase letter (xabbuh)
 * bug #34428 [Security] Fix best encoder not wired using migrate_from (chalasr)

* 4.4.0-RC1 (2019-11-17)

 * bug #34419 [Cache] Disable igbinary on PHP >= 7.4 (nicolas-grekas)
 * bug #34347 [Messenger] Perform no deep merging of bus middleware (vudaltsov)
 * bug #34366 [HttpFoundation] Allow redirecting to URLs that contain a semicolon (JayBizzle)
 * feature #34405 [HttpFoundation] Added possibility to configure expiration time in redis session handler (mantulo)
 * bug #34397 [FrameworkBundle] Remove project dir from Translator cache vary scanned directories (fancyweb)
 * bug #34384 [DoctrineBridge] Improve queries parameters display in Profiler (fancyweb)
 * bug #34408 [Cache] catch exceptions when using PDO directly (xabbuh)
 * bug #34411 [HttpKernel] Flatten "exception" controller argument if not typed (chalasr)
 * bug #34410 [HttpFoundation] Fix MySQL column type definition. (jbroutier)
 * bug #34403 [Cache] Redis Tag Aware warn on wrong eviction policy (andrerom)
 * bug #34400 [HttpKernel] collect bundle classes, not paths (nicolas-grekas)
 * bug #34398 [Config] fix id-generation for GlobResource (nicolas-grekas)
 * bug #34404 [HttpClient] fix HttpClientDataCollector (nicolas-grekas)
 * bug #34396 [Finder] Allow ssh2 stream wrapper for sftp (damienalexandre)
 * bug #34383 [DI] Use reproducible entropy to generate env placeholders (nicolas-grekas)
 * bug #34389 [WebProfilerBundle] add FrameworkBundle requirement (xabbuh)
 * bug #34381 [WebProfilerBundle] Require symfony/twig-bundle (fancyweb)
 * bug #34358  [Security] always check the token on non-lazy firewalls  (nicolas-grekas, lyrixx)
 * bug #34390 [FrameworkBundle] fix wiring of httplug client (nicolas-grekas)
 * bug #34369 [FrameworkBundle] Disallow WebProfilerBundle < 4.4 (derrabus)
 * bug #34370 [DI] fix detecting singly implemented interfaces (nicolas-grekas)

* 4.4.0-BETA2 (2019-11-13)

 * bug #34344 [Console] Constant STDOUT might be undefined (nicolas-grekas)
 * security #cve-2019-18886 [Security\Core] throw AccessDeniedException when switch user fails (nicolas-grekas)
 * security #cve-2019-18888 [Mime] fix guessing mime-types of files with leading dash (nicolas-grekas)
 * security #cve-2019-11325 [VarExporter] fix exporting some strings (nicolas-grekas)
 * security #cve-2019-18889 [Cache] forbid serializing AbstractAdapter and TagAwareAdapter instances (nicolas-grekas)
 * security #cve-2019-18888 [HttpFoundation] fix guessing mime-types of files with leading dash (nicolas-grekas)
 * security #cve-2019-18887 [HttpKernel] Use constant time comparison in UriSigner (stof)

* 4.4.0-BETA1 (2019-11-12)

 * feature #34333 Revert "feature #34329 [ExpressionLanguage] add XOR operator (ottaviano)" (nicolas-grekas)
 * feature #34332 Allow \Throwable $previous everywhere (fancyweb)
 * feature #34329 [ExpressionLanguage] add XOR operator (ottaviano)
 * feature #34312 [ErrorHandler] merge and remove the ErrorRenderer component (nicolas-grekas, yceruto)
 * feature #34309 [HttpKernel] make ExceptionEvent able to propagate any throwable (nicolas-grekas)
 * feature #34139 [Security] Add migrating encoder configuration (chalasr)
 * feature #32194 [HttpFoundation] Add a way to anonymize IPs (Seldaek)
 * feature #34252 [Console] Add support for NO_COLOR env var (Seldaek)
 * feature #34295 [DI][FrameworkBundle] add EnvVarLoaderInterface - remove SecretEnvVarProcessor (nicolas-grekas)
 * feature #31310 [DependencyInjection] Added option `ignore_errors: not_found` for imported config files (pulzarraider)
 * feature #34216 [HttpClient] allow arbitrary JSON values in requests (pschultz)
 * feature #31977 Add handling for delayed message to redis transport (alexander-schranz)
 * feature #34217 [Messenger] use events consistently in worker (Tobion)
 * feature #33065 Deprecate things that prevent \Throwable from bubbling down (fancyweb)
 * feature #34184 [VarDumper] display the method we're in when dumping stack traces (nicolas-grekas)
 * feature #33732 [Console] Rename some methods related to redraw frequency (javiereguiluz)
 * feature #31587 [Routing][Config] Allow patterns of resources to be excluded from config loading (tristanbes)
 * feature #32256 [DI] Add compiler pass and command to check that services wiring matches type declarations (alcalyn, GuilhemN, nicolas-grekas)
 * feature #32061 Add new Form WeekType (dFayet)
 * feature #33954 Form theme: support Bootstrap 4 custom switches (romaricdrigon)
 * feature #33854 [DI] Add ability to choose behavior of decorations on non existent decorated services (mtarld)
 * feature #34185 [Messenger]  extract worker logic to listener and get rid of SendersLocatorInterface::getSenderByAlias (Tobion)
 * feature #34156 Adding DoctrineClearEntityManagerWorkerSubscriber to reset EM in worker (weaverryan)
 * feature #34133 [Cache] add DeflateMarshaller - remove phpredis compression (nicolas-grekas)
 * feature #34177 [HttpFoundation][FrameworkBundle] allow configuring the session handler with a DSN (nicolas-grekas)
 * feature #32107 [Validator] Add AutoMapping constraint to enable or disable auto-validation (dunglas)
 * feature #34170 Re-allow to use "tagged" in service definitions (dunglas)
 * feature #34043 [Lock] Add missing lock connection string in FrameworkExtension (jderusse)
 * feature #34057 [Lock][Cache] Allows URL DSN in PDO adapters (jderusse)
 * feature #34151 [DomCrawler] normalizeWhitespace should be true by default (dunglas)
 * feature #34020 [Security] Allow to stick to a specific password hashing algorithm (chalasr)
 * feature #34131 [FrameworkBundle] Remove suffix convention when using env vars to override secrets from the vault (nicolas-grekas)
 * feature #34051 [HttpClient] allow option "buffer" to be a stream resource (nicolas-grekas)
 * feature #34028 [ExpressionLanguage][Lexer] Exponential format for number (tigr1991)
 * feature #34069 [Messenger] Removing "sync" transport and replacing it with config trick (weaverryan)
 * feature #34014 [DI] made the `env(base64:...)` processor able to decode base64url (nicolas-grekas)
 * feature #34044 [HttpClient] Add a canceled state to the ResponseInterface (Toflar)
 * feature #33997 [FrameworkBundle] Add `secrets:*` commands and `env(secret:...)` processor to deal with secrets seamlessly (Tobion, jderusse, nicolas-grekas)
 * feature #34013 [DI] add `LazyString` for lazy computation of string values injected into services (nicolas-grekas)
 * feature #33961 [TwigBridge] Add show-deprecations option to the lint:twig command (yceruto)
 * feature #33973 [HttpClient] add HttpClient::createForBaseUri() (nicolas-grekas)
 * feature #33980 [HttpClient] try using php-http/discovery when nyholm/psr7 is not installed (nicolas-grekas)
 * feature #33967 [Mailer] Add Message-Id to SentMessage when sending an email (fabpot)
 * feature #33896 [Serializer][CSV] Add context options to handle BOM (malarzm)
 * feature #33883 [Mailer] added ReplyTo option for PostmarkApiTransport (pierregaste)
 * feature #33053 [ErrorHandler] Rework fatal errors (fancyweb)
 * feature #33939 [Cache] add TagAwareMarshaller to optimize data storage when using AbstractTagAwareAdapter (nicolas-grekas)
 * feature #33941 Keeping backward compatibility with legacy FlattenException usage (yceruto)
 * feature #33851 [EventDispatcher] Allow to omit the event name when registering listeners (derrabus)
 * feature #33461 [Cache] Improve RedisTagAwareAdapter invalidation logic & requirements (andrerom)
 * feature #33779 [DI] enable improved syntax for defining method calls in Yaml (nicolas-grekas)
 * feature #33743 [HttpClient] Async HTTPlug client (Nyholm)
 * feature #33856 [Messenger] Allow to configure the db index on Redis transport (chalasr)
 * feature #33881 [VarDumper] Added a support for casting Ramsey/Uuid (lyrixx)
 * feature #33861 [CssSelector] Support *:only-of-type (jakzal)
 * feature #33793 [EventDispatcher] A compiler pass for aliased userland events (derrabus)
 * feature #33791 [Form] Added CountryType option for using alpha3 country codes (creiner)
 * feature #33628 [DependencyInjection] added Ability to define a priority method for tagged service (lyrixx)
 * feature #33775 [Console] Add deprecation message for non-int statusCode (jschaedl)
 * feature #33783 [WebProfilerBundle] Try to display the most useful panel by default (fancyweb)
 * feature #33701 [HttpKernel] wrap compilation of the container in an opportunistic lock (nicolas-grekas)
 * feature #33789 [Serializer] Deprecate the XmlEncoder::TYPE_CASE_ATTRIBUTES constant (pierredup)
 * feature #33776 Copy phpunit.xsd to a predictable path (julienfalque)
 * feature #31446 [VarDumper] Output the location of calls to dump()  (ktherage)
 * feature #33412 [Console] Do not leak hidden console commands (m-vo)
 * feature #33676 [Security] add "anonymous: lazy" mode to firewalls (nicolas-grekas)
 * feature #32440 [DomCrawler] add a normalizeWhitespace argument to text() method (Simperfit)
 * feature #33148 [Intl] Excludes locale from language codes (split localized language names) (ro0NL)
 * feature #31202 [FrameworkBundle] WebTestCase KernelBrowser::getContainer null return type (Simperfit)
 * feature #33038 [ErrorHandler] Forward \Throwable (fancyweb)
 * feature #33574 [Http][DI] Replace REMOTE_ADDR in trusted proxies with the current REMOTE_ADDR (mcfedr)
 * feature #33113 [Messenger][DX] Display real handler if handler is wrapped (DavidBadura)
 * feature #33128 [FrameworkBundle] Sort tagged services (krome162504)
 * feature #33658 [Yaml] fix parsing inline YAML spanning multiple lines (xabbuh)
 * feature #33698 [HttpKernel] compress files generated by the profiler (nicolas-grekas)
 * feature #33317 [Messenger] Added support for `from_transport` attribute on `messenger.message_handler` tag (ruudk)
 * feature #33584 [Security] Deprecate isGranted()/decide() on more than one attribute (wouterj)
 * feature #33663 [Security] Make stateful firewalls turn responses private only when needed (nicolas-grekas)
 * feature #33609 [Form][SubmitType] Add "validate" option (fancyweb)
 * feature #33621 Revert "feature #33507 [WebProfiler] Deprecated intercept_redirects in 4.4 (dorumd)" (lyrixx)
 * feature #33605 [Twig] Add NotificationEmail (fabpot)
 * feature #33623 [DependencyInjection] Allow binding iterable and tagged services (lyrixx)
 * feature #33507 [WebProfiler] Deprecated intercept_redirects in 4.4 (dorumd)
 * feature #33579 Adding .gitattributes to remove Tests directory from "dist" (Nyholm)
 * feature #33562 [Mailer] rename SmtpEnvelope to Envelope (xabbuh)
 * feature #33565 [Mailer] Rename an exception class (fabpot)
 * feature #33516 [Cache] Added reserved characters constant for CacheItem (andyexeter)
 * feature #33503 [SecurityBundle] Move Anonymous DI integration to new AnonymousFactory (wouterj)
 * feature #33535 [WebProfilerBundle] Assign automatic colors to custom Stopwatch categories (javiereguiluz)
 * feature #32565 [HttpClient] Allow enabling buffering conditionally with a Closure (rjwebdev)
 * feature #32032 [DI] generate preload.php file for PHP 7.4 in cache folder (nicolas-grekas)
 * feature #33117 [FrameworkBundle] Added --sort option for TranslationUpdateCommand (k0d3r1s)
 * feature #32832 [Serializer] Allow multi-dimenstion object array in AbstractObjectNormalizer (alediator)
 * feature #33189 New welcome page on startup for 4.4 LTS & 5.0 (yceruto)
 * feature #33295 [OptionsResolver] Display full nested option hierarchy in exceptions (fancyweb)
 * feature #33486 [VarDumper] Display fully qualified title (pavinthan, nicolas-grekas)
 * feature #33496 Deprecated not passing dash symbol (-) to STDIN commands (yceruto)
 * feature #32742 [Console] Added support for definition list and horizontal table  (lyrixx)
 * feature #33494 [Mailer] Change DSN syntax (fabpot)
 * feature #33471 [Mailer] Check email validity before opening an SMTP connection (fabpot)
 * feature #31177 #21571 Comparing roles to detected that users has changed (oleg-andreyev)
 * feature #33459 [Validator] Deprecated CacheInterface in favor of PSR-6 (derrabus)
 * feature #33271 Added new ErrorController + Preview and enabling there the error renderer mechanism (yceruto)
 * feature #33454 [Mailer] Improve an exception when trying to send a RawMessage without an Envelope (fabpot)
 * feature #33327 [ErrorHandler] Registering basic exception handler for late failures (yceruto)
 * feature #33446 [TwigBridge] lint all templates from configured Twig paths if no argument was provided (yceruto)
 * feature #33409 [Mailer] Add support for multiple mailers (fabpot)
 * feature #33424 [Mailer] Change the DSN semantics (fabpot)
 * feature #33319 Allow configuring class names through methods instead of class parameters in Doctrine extensions (alcaeus)
 * feature #33283 [ErrorHandler] make DebugClassLoader able to add return type declarations (nicolas-grekas)
 * feature #33323 [TwigBridge] Throw an exception when one uses email as a context variable in a TemplatedEmail (fabpot)
 * feature #33308 [SecurityGuard] Deprecate returning non-boolean values from checkCredentials() (derrabus)
 * feature #33217 [FrameworkBundle][DX] Improving the redirect config when using RedirectController (yceruto)
 * feature #33015 [HttpClient] Added TraceableHttpClient and WebProfiler panel (jeremyFreeAgent)
 * feature #33091 [Mime] Add Address::fromString (gisostallenberg)
 * feature #33144 [DomCrawler] Added Crawler::matches(), ::closest(), ::outerHtml() (lyrixx)
 * feature #33152 Mark all dispatched event classes as final (Tobion)
 * feature #33258 [HttpKernel] deprecate global dir to load resources from (Tobion)
 * feature #33272 [Translation] deprecate support for null locales (xabbuh)
 * feature #33269 [TwigBridge] Mark all classes extending twig as @final (fabpot)
 * feature #33270 [Mime] Remove NamedAddress (fabpot)
 * feature #33169 [HttpFoundation] Precalculate session expiry timestamp (azjezz)
 * feature #33237 [Mailer] Remove the auth mode DSN option and support in the eSMTP transport (fabpot)
 * feature #33233 [Mailer] Simplify the way TLS/SSL/STARTTLS work (fabpot)
 * feature #32360 [Monolog] Added ElasticsearchLogstashHandler (lyrixx)
 * feature #32489 [Messenger] Allow exchange type headers binding (CedrickOka)
 * feature #32783 [Messenger] InMemoryTransport handle acknowledged and rejected messages (tienvx)
 * feature #33155 [ErrorHandler] Added call() method utility to turns any PHP error into \ErrorException (yceruto)
 * feature #33203 [Mailer] Add support for the queued flag in the EmailCount assertion (fabpot)
 * feature #30323 [ErrorHandler] trigger deprecation in DebugClassLoader when child class misses a return type (fancyweb, nicolas-grekas)
 * feature #33137 [DI] deprecate support for non-object services (nicolas-grekas)
 * feature #32845 [HttpKernel][FrameworkBundle] Add alternative convention for bundle directories (yceruto)
 * feature #32548 [Translation] XliffLintCommand: allow .xliff file extension (codegain)
 * feature #28363 [Serializer] Encode empty objects as objects, not arrays (mcfedr)
 * feature #33122 [WebLink] implement PSR-13 directly (nicolas-grekas)
 * feature #33078 Add compatibility trait for PHPUnit constraint classes (alcaeus)
 * feature #32988 [Intl] Support ISO 3166-1 Alpha-3 country codes (terjebraten-certua)
 * feature #32598 [FrameworkBundle][Routing] Private service route loaders (fancyweb)
 * feature #32486 [DoctrineBridge] Invokable event listeners (fancyweb)
 * feature #31083 [Validator] Allow objects implementing __toString() to be used as violation messages (mdlutz24)
 * feature #32122 [HttpFoundation] deprecate HeaderBag::get() returning an array and add all($key) instead (Simperfit)
 * feature #32807 [HttpClient] add "max_duration" option (fancyweb)
 * feature #31546 [Dotenv] Use default value when referenced variable is not set (j92)
 * feature #32930 [Mailer][Mime] Add PHPUnit constraints and assertions for the Mailer (fabpot)
 * feature #32912 [Mailer] Add support for the profiler (fabpot)
 * feature #32940 [PhpUnitBridge] Add polyfill for PhpUnit namespace (jderusse)
 * feature #31843 [Security] add support for opportunistic password migrations (nicolas-grekas)
 * feature #32824 [Ldap] Add security LdapUser and provider (chalasr)
 * feature #32922 [PhpUnitBridge] make the bridge act as a polyfill for newest PHPUnit features (nicolas-grekas)
 * feature #32927 [Mailer] Add message events logger (fabpot)
 * feature #32916 [Mailer] Add a name to the transports (fabpot)
 * feature #32917 [Mime] Add AbstractPart::asDebugString() (fabpot)
 * feature #32543 [FrameworkBundle] add config translator cache_dir (Raulnet)
 * feature #32669 [Yaml] Add flag to dump NULL as ~ (OskarStark)
 * feature #32896 [Mailer] added debug info to TransportExceptionInterface (fabpot)
 * feature #32817 [DoctrineBridge] Deprecate RegistryInterface (Koc)
 * feature #32504 [ErrorRenderer] Add DebugCommand for easy debugging and testing (yceruto)
 * feature #32581 [DI] Allow dumping the container in one file instead of many files (nicolas-grekas)
 * feature #32762 [Form][DX] derive default timezone from reference_date option when possible (yceruto)
 * feature #32745 [Messenger][Profiler] Attempt to give more useful source info when using HandleTrait (ogizanagi)
 * feature #32680 [Messenger][Profiler] Collect the stamps at the end of dispatch (ogizanagi)
 * feature #32683 [VarDumper] added support for Imagine/Image (lyrixx)
 * feature #32749 [Mailer] Make transport factory test case public (Koc)
 * feature #32718 [Form] use a reference date to handle times during DST (xabbuh)
 * feature #32637 [ErrorHandler] Decouple from ErrorRenderer component (yceruto)
 * feature #32609 [Mailer][DX][RFC] Rename mailer bridge transport classes (Koc)
 * feature #32587 [Form][Validator] Generate accept attribute with file constraint and mime types option (Coosos)
 * feature #32658 [Form] repeat preferred choices in list of all choices (Seb33300, xabbuh)
 * feature #32698 [WebProfilerBundle] mark all classes as internal (Tobion)
 * feature #32695 [WebProfilerBundle] Decoupling TwigBundle and using the new ErrorRenderer mechanism (yceruto)
 * feature #31398 [TwigBundle] Deprecating error templates for non-html formats and using ErrorRenderer as fallback (yceruto)
 * feature #32582 [Routing] Deprecate ServiceRouterLoader and ObjectRouteLoader in favor of ContainerLoader and ObjectLoader (fancyweb)
 * feature #32661 [ErrorRenderer] Improving the exception page provided by HtmlErrorRenderer (yceruto)
 * feature #32332 [DI] Move non removing compiler passes to after removing passes (alexpott)
 * feature #32475 [Process] Deprecate Process::inheritEnvironmentVariables() (ogizanagi)
 * feature #32583 [Mailer] Logger vs debug mailer (fabpot)
 * feature #32471 Add a new ErrorHandler component (mirror of the Debug component) (yceruto)
 * feature #32463 [VarDumper] Allow to configure VarDumperTestTrait casters & flags (ogizanagi)
 * feature #31946 [Mailer] Extract transport factory and allow create custom transports (Koc)
 * feature #31194 [PropertyAccess] Improve errors when trying to find a writable property (pierredup)
 * feature #32435 [Validator] Add a new constraint message when there is both min and max (Lctrs)
 * feature #32470 Rename ErrorCatcher to ErrorRenderer (rendering part only) (yceruto)
 * feature #32462 [WebProfilerBundle] Deprecating templateExists method (yceruto)
 * feature #32446 [Lock] rename and deprecate Factory into LockFactory (Simperfit)
 * feature #31975 Dynamic bundle assets (garak)
 * feature #32429 [VarDumper] Let browsers trigger their own search on double CMD/CTRL + F (ogizanagi)
 * feature #32198 [Lock] Split "StoreInterface" into multiple interfaces with less responsability (Simperfit)
 * feature #31511 [Validator] Allow to use property paths to get limits in range constraint (Lctrs)
 * feature #32424 [Console] don't redraw progress bar more than every 100ms by default (nicolas-grekas)
 * feature #32418 [Console] Added Application::reset() (lyrixx)
 * feature #31217 [WebserverBundle] Deprecate the bundle in favor of symfony local server (Simperfit)
 * feature #31554 [SECURITY] AbstractAuthenticationListener.php error instead info. Rebase of #28462 (berezuev)
 * feature #32284 [Cache] Add argument $prefix to AdapterInterface::clear() (nicolas-grekas)
 * feature #32423 [ServerBundle] Display all logs by default (lyrixx)
 * feature #26339 [Console] Add ProgressBar::preventRedrawFasterThan() and forceRedrawSlowerThan() methods (ostrolucky)
 * feature #31269 [Translator] Dump native plural formats to po files (Stadly)
 * feature #31560 [Ldap][Security] LdapBindAuthenticationProvider does not bind before search query (Simperfit)
 * feature #31626 [Console] allow answer to be trimmed by adding a flag (Simperfit)
 * feature #31876 [WebProfilerBundle] Add clear button to ajax tab (Matts)
 * feature #32415 [Translation] deprecate passing a null locale (Simperfit)
 * feature #32290 [HttpClient] Add $response->toStream() to cast responses to regular PHP streams (nicolas-grekas)
 * feature #32402  [Intl] Exclude root language (ro0NL)
 * feature #32295 [FrameworkBundle] Add autowiring alias for PSR-14 (nicolas-grekas)
 * feature #32390 [DependencyInjection] Deprecated passing Parameter instances as class name to Definition (derrabus)
 * feature #32106 [FrameworkBundle] Use default_locale as default value for translator.fallbacks (dunglas)
 * feature #32294 [FrameworkBundle] Allow creating chained cache pools by providing several adapters (nicolas-grekas)
 * feature #32207 [FrameworkBundle] Allow to use the BrowserKit assertions with Panther and API Platform's test client (dunglas)
 * feature #32344 [HttpFoundation][HttpKernel] Improving the request/response format autodetection (yceruto)
 * feature #32231 [HttpClient] Add support for NTLM authentication (nicolas-grekas)
 * feature #32265 [Validator] deprecate non-string constraint violation codes (xabbuh)
 * feature #31528 [Validator] Add a Length::$allowEmptyString option to reject empty strings (ogizanagi)
 * feature #32081 [WIP][Mailer] Overwrite envelope sender and recipients from config (Devristo)
 * feature #32255 [HttpFoundation] Drop support for ApacheRequest (lyrixx)
 * feature #31825 [Messenger] Added support for auto trimming of redis streams (Toflar)
 * feature #32277 Remove @experimental annotations (fabpot)
 * feature #30981 [Mime] S/MIME Support (sstok)
 * feature #32180 [Lock] add an InvalidTTLException to be more accurate (Simperfit)
 * feature #32241 [PropertyAccess] Deprecate null as allowed value for defaultLifetime argument in createCache method (jschaedl)
 * feature #32221 [ErrorCatcher] Make IDEs and static analysis tools happy (fabpot)
 * feature #32227 Rename the ErrorHandler component to ErrorCatcher (fabpot)
 * feature #31065 Add ErrorHandler component (yceruto)
 * feature #32126 [Process] Allow writing portable "prepared" command lines (Simperfit)
 * feature #31532 [Ldap] Add users extraFields in ldap component (Simperfit)
 * feature #32104 Add autowiring for HTTPlug (nicolas-grekas)
 * feature #32130 [Form] deprecate int/float for string input in NumberType (xabbuh)
 * feature #31547 [Ldap] Add exception for mapping ldap errors (Simperfit)
 * feature #31764 [FrameworkBundle] add attribute stamps (walidboughdiri)
 * feature #32059 [PhpUnitBridge] Bump PHPUnit 7+8 (ro0NL)
 * feature #32041 [Validator] Deprecate unused arg in ExpressionValidator (ogizanagi)
 * feature #31287 [Config] Introduce find method in ArrayNodeDefinition to ease configuration tree manipulation (jschaedl)
 * feature #31959 [DomCrawler][Feature][DX] Add Form::getName() method (JustBlackBird)
 * feature #32026 [VarDumper] caster for HttpClient's response dumps all info (nicolas-grekas)
 * feature #31976 [HttpClient] add HttplugClient for compat with libs that need httplug v1 or v2 (nicolas-grekas)
 * feature #31956 [Mailer] Changed EventDispatcherInterface dependency from Component to Contracts (Koc)
 * feature #31980 [HttpClient] make Psr18Client implement relevant PSR-17 factories (nicolas-grekas)
 * feature #31919 [WebProfilerBundle] Select default theme based on user preferences (javiereguiluz)
 * feature #31451 [FrameworkBundle] Allow dots in translation domains (jschaedl)
 * feature #31321 [DI] deprecates tag !tagged in favor of !tagged_iterator (jschaedl)
 * feature #31658 [HTTP Foundation] Deprecate passing argument to method Request::isMethodSafe() (dFayet)
 * feature #31597 [Security] add MigratingPasswordEncoder (nicolas-grekas)
 * feature #31351 [Validator] Improve TypeValidator to handle array of types (jschaedl)
 * feature #31526 [Validator] Add compared value path to violation parameters (ogizanagi)
 * feature #31514 Add exception as HTML comment to beginning and end of `exception_full.html.twig` (ruudk)
 * feature #31739 [FrameworkBundle] Add missing BC layer for deprecated ControllerNameParser injections (chalasr)
 * feature #31831 [HttpClient] add $response->cancel() (nicolas-grekas)
 * feature #31334 [Messenger] Add clear Entity Manager middleware (Koc)
 * feature #31594 [Security] add PasswordEncoderInterface::needsRehash() (nicolas-grekas)
 * feature #31821 [FrameworkBundle][TwigBundle] Add missing deprecations for PHP templating layer (yceruto)
 * feature #31509 [Monolog] Setup the LoggerProcessor after all other processor (lyrixx)
 * feature #31785 [Messenger] Deprecate passing a bus locator to ConsumeMessagesCommand's constructor (chalasr)
 * feature #31700 [MonologBridge] RouteProcessor class is now final to ease the the removal of deprecated event (Simperfit)
 * feature #31732 [HttpKernel] Make DebugHandlersListener internal (chalasr)
 * feature #31539 [HttpKernel] Add lts config (noniagriconomie)
 * feature #31437 [Cache] Add Redis Sentinel support (StephenClouse)
 * feature #31543 [DI] deprecate short callables in yaml (nicolas-grekas)

